
function Config(_sn,_snMMsi) {
	let snMmsiSta = (_snMMsi == "480000001");
	let snMmsiHY = (_snMMsi == "480000618");
	let  dataDetail = {
		"381001400":{
			"Cab":["00x","030","03A1","03a","flex","none"],
			"Post":{
				"anKey":["00x","0M6","0M0","齿轮箱系统"],
				"Disp":["none","flex","none",(snMmsiHY?"block":"none")],
				"Supercha":[["00G1_滑油进口压力_Mpa","00N1_空气压力_Mpa","00O1_滑油出口温度_℃"],["Q1R_1_转速报警","Q14_1_空气压力报警","Q16_1_滑油出口温度报警","Q10_0_滑油进口压力_1"]],
				"Interco":[["00k_后进气温度_℃","00H1_高温水进口压力_Mpa","00I1_低温水进口压力_Mpa"],["Q11_1_低温水进口压力报警","Q1I_1_后进气温度报警"]],
				"Line":(snMmsiHY?`<div><div>起动空气压力</div><div><span class="Num" id="QK_v">0</span> MPa</div></div>
								<div><div>控制空气压力</div><div><span class="Num" id="KK_v">0</span> MPa</div></div>
								<div><div>增压空气压力</div><div><span class="Num" id="ZYQ_v">0</span> MPa</div></div>
								<div><div>增压器转速</div><div><span class="Num" id="ZYQZ_v">0</span> RPM</div></div>`
								:
								`<div><div>起动空气压力</div><div><span class="Num" id="QK_v">0</span> MPa</div></div>
								<div><div>控制空气压力</div><div><span class="Num" id="KK_v">0</span> MPa</div></div>
								<div><div>预润滑油压力</div><div><span class="Num" id="RHY_v">0</span> MPa</div></div>
								<div><div>预润滑油压力报警</div><div><i class="iconfont icon-cloud-state" id="sw_Q1O0"></i></div></div>`),
				"swKey":{
					"GangSw":[
						"swi",
						(snMmsiHY?{
							"1#":"0jA_7_no",
							"2#":"0jA_6_no",
							"3#":"0jA_5_no",
							"4#":"0jA_4_no",
							"5#":"0jA_3_no",
							"6#":"0jA_2_no",
							"7#":"0jA_1_no",
							"8#":"0jA_0_no"
						}:{
							"1#":"Q18_1",
							"2#":"Q18_0",
							"3#":"Q19_1",
							"4#":"Q19_0",
							"5#":"Q1A_1",
							"6#":"Q1A_0",
							// "7#":"Q1B_1",
							// "8#":"Q1B_0",
							// "9#":"Q1C_1",
							"缸平均排气":"Q1O_1",
						}),(snMmsiHY?{
							"1#":"0jG_7_no",
							"2#":"0jG_6_no",
							"3#":"0jG_5_no",
							"4#":"0jG_4_no",
							"5#":"0jG_3_no",
							"6#":"0jG_2_no",
							"7#":"0jG_1_no",
							"8#":"0jG_0_no",
							"9#":"0jH_7_no",
							"10#":"0jH_6_no"
						}:{
							"0#":"Q1J_0",
							"1#":"Q1K_1",
							"2#":"Q1K_0",
							"3#":"Q1L_1",
							"4#":"Q1L_0",
							"5#":"Q1M_1",
							"6#":"Q1M_0",
							"7#":"Q1N_1",
							// "8#":"Q1N_0",
							// "9#":"Q1G_1",
							// "10#":"Q1G_0",
							"滑油压力":"Q12_1"
					})],
					"allSw":{//okokokok
						"switch_TJ":(snMmsiHY?{
							"0jC1-7":"燃油压力传感器断线",
							"0jC1-6":"起动空气压力传感器断线",
							"0jC1-5":"机油压力传感器断线",
							"0jC1-4":"冷却水压力传感器断线",
							"0jC1-3":"冷却水温传感器断线",
							"0jC1-2":"滑油温传感器断线",
							"0jC1-1":"控制空气压力传感器断线",
							"0jC1-0":"滤压差传感器断线",
							"0jD1-7":"增压空气压力传感器断线",
							"0jD1-6":"增压空气温度传感器断线",
							"0jD1-5":"海水压力传感器断线",
							"0jD1-4":"燃油温度传感器断线",
							"0jD1-3":"增压器滑油温都传感器断线",
							"0jH1-5":"主轴承1温度传感器断线",
							"0jH1-4":"主轴承2温度传感器断线",
							"0jH1-3":"主轴承3温度传感器断线",
							"0jH1-2":"主轴承4温度传感器断线",
							"0jH1-1":"主轴承5温度传感器断线",
							"0jH1-0":"主轴承6温度传感器断线",
							"0jI1-7":"主轴承7温度传感器断线",
							"0jI1-6":"主轴承8温度传感器断线",
							"0jI1-5":"主轴承9温度传感器断线",
							"0jI1-4":"主轴承10温度传感器断线",
							"0jI1-3":"滑油压力过低开关断线",
							"0jI1-2":"水压过低开关断线",
							"0jI1-1":"油雾浓度过高开关断线",
							"0jI1-0":"齿轮箱油压低开关断线",
							"0jJ1-7":"水温过高开关断线"
						}:{
							"Q00-5":"紧急停车-操作箱按钮",
							"Q00-3":"报警箱备用电源失电报警",
							"Q00-2":"遥控启动按钮",
							"Q00-1":"遥控停机按钮",
							"Q00-0":"遥控加速按钮",
							"Q01-15":"遥控减速按钮",
							"Q01-14":"遥控越控",
							"Q01-13":"遥控紧急停车",
							"Q01-12":"遥控复位",
							"Q01-6":"盘车机构啮合",
							"Q01-4":"停车手柄关断",
							"Q01-3":"允许启动信号（配 723 电调）",
							"Q02-15":"遥控允许启动",
							"Q02-13":"机旁/遥控信号指示",
							"Q02-12":"故障停车信号",
							"Q02-11":"故障降速信号",
							"Q02-10":"一般报警信号",
							"Q02-8":"故障降速预报警",
							"Q02-7":"故障停车预报警指示信号",
							"Q02-5":"紧急停机报警指示信号",
							"Q02-4":"紧急停机报警指示信号",
							"Q02-2":"复位信号（供 723 电调）",
							"Q02-1":"额定（供 723 电调）",
							"Q02-0":"停车/运行信号（供 723 电调）",
							"Q03-15":"加速信号（供 723 电调）",
							"Q03-14":"减速信号（供 723 电调）",
							"Q03-13":"紧急脱排（供 723 电调）",
							"Q03-11":"启动电磁阀",
							"Q03-10":"紧急停车电磁阀",
							"Q03-9":"报警喇叭",
							"Q03-8":"正常停车电磁阀",
							"Q03-7":"补气阀",
							"Q03-5":"机旁报警指示灯",
							"Q03-1":"故障降速预报警",
							"Q03-0":"故障停机预报警",
						}),
						"switch_ZJ":(snMmsiHY?{
							"0j8-7":"超速报警",
							"0jE1-5":"超速停机",
							"0jJ1-2":"故障停机",
							"0jB1-6":"主电故障报警",
							"0jJ1-6":"越控标记",
							"0jJ1-5":"降负荷预报警",
							"0jJ1-4":"停机预报警",
							"0jJ1-3":"降负荷",
							"0jB1-0":"紧急停机按钮有效"
						}:{
							"Q01-11":"电调箱主电源失压(配电调箱)",
							"Q01-10":"电调箱主电源失压(配电调箱)",
							"Q02-7":"主机运行信号(>230rmp)",
							"Q02-6":"主机运行信号(>300rmp)",
							"Q02-14":"三次启动失败报警",
						}),
						"switch_YLI":(snMmsiHY?{
							"0jE1-1":"主轴承1温度过高",
							"0jE1-0":"主轴承2温度过高",
							"0jF1-7":"主轴承3温度过高",
							"0jF1-6":"主轴承4温度过高",
							"0jF1-5":"主轴承5温度过高",
							"0jF1-4":"主轴承6温度过高",
							"0jF1-3":"主轴承7温度过高",
							"0jF1-2":"主轴承8温度过高",
							"0jF1-1":"主轴承9温度过高",
							"0jF1-0":"主轴承10温度过高",
							"0j9-4":"油进机温度低报警",
							"0j9-3":"重油进机温度高报警",
							"0j9-2":"中冷后空气温度高报警",
							"0jB1-7":"涡轮后排温高报警",
							"0jB1-5":"增压器滑油温度高报警",
							"0jB1-4":"增压器转速高报警",
							"0jE1-2":"齿轮箱滑油压力过低",
							"0j8-6":"油压低报警",
							"0j8-5":"水温高报警",
							"0j8-4":"油温高报警",
							"0j9-7":"滑油滤压差高报警",
							"0j9-1":"燃油泄漏报警",
							"0j9-0":"油雾浓度高报警",
							"0jE1-3":"油雾浓度过高"
						}:{
							"Q13-1-0":"起动空气压力报警",
							"Q13-0-1":"控制空气压力报警",
							"Q01-9":"燃油滤器压差高",
							"Q01-8":"滑油滤器压差高",
							"Q1C-0-1":"涡轮进口排气温度报警",
							"Q1D-1-0":"涡轮进口排气温度（上）报警",
							"Q1D-0-1":"涡轮进口排气温度（下）报警",
							"Q1E-1-0":"涡轮出口排气温度报警",
							"Q16-0":"燃油进机压力报警",
							"Q01-7":"油雾浓度高"
						}),
						"switch_AB":(snMmsiHY?{
							"0j8-3":"起动空气压力低报警",
							"0j8-2":"控制空气压力低报警",
							"0j8-1":"柴油进机压力低报警",
							"0j8-0":"重油进机压力低报警",
							"0j9-6":"淡水压力低报警",
							"0j9-5":"海水压力低报警",
							"0jE1-7":"水温过高",
							"0jE1-6":"水压过低",
							"0jE1-4":"滑油压力过低"
						}:{
							"Q00-15":"柴油机运行-安保",
							"Q00-13":"安保线路故障-安保",
							"Q00-12":"安保运行-安保",
							"Q00-11":"超速停车-安保",
							"Q00-10":"紧急停车-安保",
							"Q00-9":"齿轮箱滑油压力过低-安保",
							"Q00-8":"主轴承滑油压力过低-安保",
							"Q00-7":"油雾浓度过高-安保",
							"Q03-12":"复位信号（供安保）"
						}),
						"switch_YK":{
							"Q22-7":"综合报警",
							"Q21-1":"空车指示,1",
							"Q20-3":"压差高报警",
							"Q21-0":"液位低报警",
							"Q21-3":"正车工作指示,1",
							"Q21-2":"倒车工作指示,1",
							"Q20-7":"滤前工作油低压报警",
							"Q20-6":"正车工作油低压报警",
							"Q20-5":"倒车工作油低压报警",
							"Q21-6":"倒车推力轴承温度高温报警",
							"Q21-5":"输出后轴承温度高温报警",
							"Q21-4":"输出前轴承温度高温报警",
							"Q21-7":"正车推力轴承温度高温报警",
						}
					}
				},
				"YWei":null,
				"eCchartSta":snMmsiHY?["inline-block","none","1-8#缸排气温度","1-8#主轴承温度","none","关键数据"]:["inline-block","none","1-6#缸排气温度","0-7#主轴承温度","block","涡轮、滑油、高温水"],
				"eCchart":{
					"onePost":snMmsiHY?[["0fA1","RPM"],["0fH1","kPa"],["0fI1","MPa"],["0fJ1","MPa"],["0fB1","RPM"],["0fE1","MPa"],["0fM1","℃"]]:[["00x","RPM"],["00K1","kPa"],["00P1","℃"],["00L1","MPa"],["00M1","MPa"],["00w","MPa"]],
					"twoPost":snMmsiHY?[["0fF1","MPa"],["0fG1","MPa"],["0fW1","℃"],["0fX1","℃"],["0fK1","℃"],["0fL1","℃"],["0fN1","℃"]]:[["00b","℃"],["00e","℃"],["00c","℃"],["00d","℃"],["00Q1","℃"],["00R1","℃"],["00h","℃"],["00i","℃"]],
					"thrPost":[["00G1","MPa"],["00N1","MPa"],["00O1","℃"],["00H1","MPa"],["00I1","MPa"],["00k","℃"]],
					"forPost":snMmsiHY?[["0gF1","kPa"],["0gJ1","kPa"],["0gK1","kPa"],["0gM1","℃"],["0gL1","kPa"]]:[["0M0","kPa"],["0M3","kPa"],["0M4","kPa"],["0M6","℃"],["0M7","kPa"]],
					"fivPost":snMmsiHY?[["0gH1","kPa"],["0gP1","kPa"],["0gN1","℃"],["0gI1","kPa"],["0gQ1","℃"],["0gO1","℃"]]:[["0M1","kPa"],["0M9","kPa"],["0M7","℃"],["0M2","kPa"],["0MA","℃"],["0M8","℃"]],
					"sixPost":snMmsiHY?[["0fO1","℃"],["0fP1","℃"],["0fQ1","℃"],["0fR1","℃"],["0fS1","℃"],["0fT1","℃"],["0fU1","℃"],["0fV1","℃"]]:[["00S1","℃"],["00T1","℃"],["00U1","℃"],["00V1","℃"],["00W1","℃"],["00X1","℃"]],
					"sevPost":snMmsiHY?[["0fY1","℃"],["0fZ1","℃"],["0fa","℃"],["0fb","℃"],["0fc","℃"],["0fd","℃"],["0fe","℃"],["0ff","℃"]]:[["00m","℃"],["00n","℃"],["00o","℃"],["00p","℃"],["00q","℃"],["00r","℃"],["00s","℃"],["00t","℃"]]
				},
				"eChartTxt" : {
					"onePost":snMmsiHY?["主机转速","起动空气压力","控制空气压力","增压空气压力","增压器转速","燃油压力","燃油进机温度"]:["主机转速","燃油进机压力","燃油进机温度","起动空气压力","控制空气压力","预润滑油压力"],
					"twoPost":snMmsiHY?["淡水压力","海水压力","涡轮前排气温度","涡轮后排气温度","机油进机温度","冷却液温度","中冷后空气温度"]:["涡轮进口排气温度","涡轮出口排气温度","涡轮进口(上)排气温度","涡轮进口(下)排气温度","滑油进机温度","滑油出机温度","高温水进机温度","高温水出机温度"],
					"thrPost":["增压器滑油进口压力","增压器空气压力","增压器滑油出口温度","中冷器高温水进口压力","中冷器低温水进口压力","中冷器后进气温度"],
					"forPost":["滤前工作油压力","滤前压力","滤后压力","滑油温度","滑油压力"],
					"fivPost":["正车工作油压力","正车推力轴承温度","输出前轴承温度","倒车工作油压力","倒车推力轴承温度","输出后轴承温度"],
					"sixPost":snMmsiHY?["1#缸","2#缸","3#缸","4#缸","5#缸","6#缸","7#缸","8#缸"]:["1#缸","2#缸","3#缸","4#缸","5#缸","6#缸"],
					"sevPost":snMmsiHY?["1#主轴承","2#主轴承","3#主轴承","4#主轴承","5#主轴承","6#主轴承","7#主轴承","8#主轴承"]:["0#主轴承","1#主轴承","2#主轴承","3#主轴承","4#主轴承","5#主轴承","6#主轴承","7#主轴承"]
				}
			},
			"Cargo":{
				"disp":["flex","none"],
				"anKey":["z1b","z1Y1"],//1#蒸汽、2#蒸汽
				"Chart":snMmsiHY?{
					"name":"液货舱横跨管压力",
					"key":["0hj","0hk","0hl","0hm","0hn","0ho"]
				}:{
					"name":"货油泵泵壳温度",
					"key":["z11","z15","z19","z1D1","z1H1","z1L1"]
				},
				"outIn":snMmsiHY?{
					"out":[["1#压载泵_0ht","2#压载泵_0hu"],["洗舱泵_0hq"]],
					"in":[]
				}:{
					"out":[["1#货油泵_z1M1","2#货油泵_z1O1","洗舱泵_z1R1"],["1#压载泵_z1T1","2#压载泵_z1V1","扫舱泵_z1X1"]],
					"in":[["1#货油泵_z1N1","2#货油泵_z1P1","洗舱泵_z1Q1"],["1#压载泵_z1S1","2#压载泵_z1U1","扫舱泵_z1W1"]],
				},
				"swKey":{//okokokok
					"left":[
						["z01","z0D1","z0R1","z0S1","z0T1",(snMmsiHY?["0iX1-0","0iJ1-0","","",""]:["Q28-0","Q28-1","","Q24-3","Q24-2"]),"1#液货舱"],
						["z03","z0F1","z0X1","z0Y1","z0Z1",(snMmsiHY?["0iY1-0","0iK1-0","","",""]:["Q29-4","Q29-5","","Q25-6","Q25-4"]),"2#液货舱"],
						["z05","z0H1","z0d","z0e","z0f",(snMmsiHY?["0iZ1-0","0iL1-0","","",""]:["Q29-0","Q29-1","","Q26-7","Q26-6"]),"3#液货舱"],
						["z07","z0J1","z0j","z0k","z0l",(snMmsiHY?["0ia-0","0iM1-0","","",""]:["Q2a-4","Q2a-5","","Q26-1","Q26-0"]),"4#液货舱"],
						["z09","z0L1","z0p","z0q","z0r",(snMmsiHY?["0ib-0","0iN1-0","","",""]:["Q2a-0","Q2a-1","","Q27-3","Q27-2"]),"5#液货舱"],
						["z0B1","z0N1","z0v","z0w","z0x",(snMmsiHY?["0ic-0","0iO1-0","","",""]:["Q2b-4","Q2b-6","","Q28-6","Q28-4"]),snMmsiHY?"6#液货舱":"污液舱"],
					],
					"right":[
						["z00","z0C1","z0O1","z0P1","z0Q1",(snMmsiHY?["0ie-0","0iQ-0","","",""]:["Q28-2","Q28-3","","Q24-6","Q24-5"]),"1#液货舱"],
						["z02","z0E1","z0U1","z0V1","z0W1",(snMmsiHY?["0if-0","0iR-0","","",""]:["Q29-6","Q29-7","","Q24-0","Q25-7"]),"2#液货舱"],
						["z04","z0G1","z0a","z0b","z0c",(snMmsiHY?["0ig-0","0iS-0","","",""]:["Q29-2","Q29-3","","Q25-2","Q25-1"]),"3#液货舱"],
						["z06","z0I1","z0g","z0h","z0i",(snMmsiHY?["0ih-0","0iT-0","","",""]:["Q2a-6","Q2a-7","","Q26-4","Q26-3"]),"4#液货舱"],
						["z08","z0K1","z0m","z0n","z0o",(snMmsiHY?["0ii-0","0iU-0","","",""]:["Q2a-2","Q2a-3","","Q27-6","Q27-5"]),"5#液货舱"],
						["z0A1","z0M1","z0s","z0t","z0u",(snMmsiHY?["0ij-0","0iV-0","","",""]:["Q2b-6","Q2b-7","","Q27-0","Q28-7"]),snMmsiHY?"6#液货舱":"污液舱"],
					]
				},
				"eChartTxt":{
					"onePost":["1#左液货舱-液位","2#左液货舱-液位","3#左液货舱-液位","4#左液货舱-液位","5#左液货舱-液位",(snMmsiHY?"6#液货舱-液位":"左污液舱-液位")],
					"twoPost":["1#左液货舱-压力","2#左液货舱-压力","3#左液货舱-压力","4#左液货舱-压力","5#左液货舱-压力",(snMmsiHY?"6#液货舱-压力":"左污液舱-压力")],
					"thrPost":["1#左液货舱-上温","2#左液货舱-上温","3#左液货舱-上温","4#左液货舱-上温","5#左液货舱-上温",(snMmsiHY?"6#液货舱-上温":"左污液舱-上温")],
					"forPost":["1#左液货舱-中温","2#左液货舱-中温","3#左液货舱-中温","4#左液货舱-中温","5#左液货舱-上温",(snMmsiHY?"6#液货舱-中温":"左污液舱-中温")],
					"fivPost":["1#左液货舱-底温","2#左液货舱-底温","3#左液货舱-中温","4#左液货舱-底温","5#左液货舱-底温",(snMmsiHY?"6#液货舱-底温":"左污液舱-底温")],
					
					"sixPost":["1#右液货舱-液位","2#右液货舱-液位","3#右液货舱-液位","4#右液货舱-液位","5#右液货舱-液位",(snMmsiHY?"6#液货舱-液位":"右污液舱-液位")],
					"sevPost":["1#右液货舱-压力","2#右液货舱-压力","3#右液货舱-压力","4#右液货舱-压力","5#右液货舱-压力",(snMmsiHY?"6#液货舱-压力":"右污液舱-压力")],
					"eigPost":["1#右液货舱-上温","2#右液货舱-上温","3#右液货舱-上温","4#右液货舱-上温","5#右液货舱-上温",(snMmsiHY?"6#液货舱-上温":"右污液舱-上温")],
					"ninPost":["1#右液货舱-中温","2#右液货舱-中温","3#右液货舱-中温","4#右液货舱-中温","5#右液货舱-上温",(snMmsiHY?"6#液货舱-中温":"右污液舱-中温")],
					"tenPost":["1#右液货舱-底温","2#右液货舱-底温","3#右液货舱-中温","4#右液货舱-底温","5#右液货舱-底温",(snMmsiHY?"6#液货舱-底温":"右污液舱-底温")],
					
					"onetPost":snMmsiHY?["左-压力","左-上温度","左-中温度","左-下温度","右-压力","右-上温度","右-中温度","右-下温度"]:["1#-前轴承温度","2#-前轴承温度","3#-前轴承温度","4#-前轴承温度","5#-前轴承温度","污液舱-前轴承温度"],
					"twotPost":["1#-后轴温度","2#-后轴温度","3#-后轴温度","4#-后轴温度","5#-后轴温度","污液舱-后轴温度"],
					"thrtPost":["1#-泵壳温度","2#-泵壳温度","3#-泵壳温度","4#-泵壳温度","5#-泵壳温度","污液舱-泵壳温度"],
					"fortPost":["1#-舱壁轴填料函温度","2#-舱壁轴填料函温度","3#-舱壁轴填料函温度","4#-舱壁轴填料函温度","5#-舱壁轴填料函温度","污液舱-舱壁轴填料函温度"],
					"fiftPost":snMmsiHY?["1#-进口压力","1#-泵壳温度","1#-轴承温度","1#-隔舱传动装置填料函温度","2#-进口压力","2#-泵壳温度","2#-轴承温度","2#-隔舱传动装置填料函温度"]:["1#液货-总管压力","2#液货-总管压力","1#蒸气回收-总管压力","2#蒸气回收-总管压力"],
					"sixtPost":snMmsiHY?["1#","2#","3#","4#","5#","6#"]:["泵舱底左-可燃气体","泵舱底右-可燃气体","泵舱上甲板-可燃气体","空调通风口-可燃气体","尾楼甲板左-可燃气体","尾楼甲板右-可燃气体"],
					"sevtPost":["1#货油泵-进口压力","1#压载泵-进口压力","洗舱泵-进口压力","2#货油泵-进口压力","2#压载泵-进口压力","扫舱泵-进口压力"],
					"eigtPost":["1#货油泵-出口压力","1#压载泵-出口压力","洗舱泵-出口压力","2#货油泵-出口压力","2#压载泵-出口压力","扫舱泵-出口压力"]
				},
				"eCchartSta":snMmsiHY?["none","inline-block","压载泵","泵进出口压力","进口压力","出口压力","none","none","液货舱横跨管压力","none","污液柜","污液柜"]:["none","inline-block","总管压力","泵进出口压力","进口压力","出口压力","none","inline-block","可燃气体","block","货油泵","前轴温度"],
				"eCchart" :snMmsiHY?{
					"onePost":[["0hL1","m"],["0hN1","m"],["0hP1","m"],["0hR1","m"],["0hT1","m"],["0hV1","m"]],
					"twoPost":[["0hX1","kPa"],["0hY1","kPa"],["0hZ1","kPa"],["0ha","kPa"],["0hb","kPa"],["0hc","kPa"]],
					"thrPost":[["0gp","℃"],["0gs","℃"],["0gv","℃"],["0gy","℃"],["0gd","℃"],["0gg","℃"]],
					"forPost":[["0gq","℃"],["0gt","℃"],["0gw","℃"],["0gz","℃"],["0ge","℃"],["0gh","℃"]],
					"fivPost":[["0gr","℃"],["0gu","℃"],["0gx","℃"],["0h0","℃"],["0gf","℃"],["0gi","℃"]],
					
					"sixPost":[["0hM1","m"],["0hO1","m"],["0hQ1","m"],["0hS1","m"],["0hU1","m"],["0hW1","m"]],
					"sevPost":[["0hd","kPa"],["0he","kPa"],["0hf","kPa"],["0hg","kPa"],["0hh","kPa"],["0hi","kPa"]],
					"eigPost":[["0h1","℃"],["0h4","℃"],["0h7","℃"],["0hA1","℃"],["0gj","℃"],["0gm","℃"]],
					"ninPost":[["0h2","℃"],["0h5","℃"],["0h8","℃"],["0hB1","℃"],["0gk","℃"],["0gn","℃"]],
					"tenPost":[["0h3","℃"],["0h6","℃"],["0h9","℃"],["0hC1","℃"],["0gl","℃"],["0go","℃"]],
					
					"onetPost":[["0hv","MPa"],["0hD1","℃"],["0hE1","℃"],["0hF1","℃"],["ohw","MPa"],["0hG1","℃"],["0hH1","℃"],["0hI1","℃"]],
					"fiftPost":[["0ht","MPa"],["0gX1","℃"],["0gZ1","℃"],["0gY1","℃"],["0hu","MPa"],["0ga","℃"],["0gc","℃"],["0gb","℃"]],
					"sixtPost":[["0hj","MPa"],["0hk","MPa"],["0hl","MPa"],["0hm","MPa"],["0hn","MPa"],["0ho","MPa"]],
				}: {
					"onePost":[["z01","m"],["z03","m"],["z05","m"],["z07","m"],["z09","m"],["z0B1","m"]],
					"twoPost":[["z0D1","kPa"],["z0F1","kPa"],["z0H1","kPa"],["z0J1","kPa"],["z0L1","kPa"],["z0N1","kPa"]],
					"thrPost":[["z0R1","℃"],["z0X1","℃"],["z0d","℃"],["z0j","℃"],["z0p","℃"],["z0v","℃"]],
					"forPost":[["z0T1","℃"],["z0Z1","℃"],["z0f","℃"],["z0l","℃"],["z0r","℃"],["z0x","℃"]],
					"fivPost":[["z0S1","℃"],["z0Y1","℃"],["z0e","℃"],["z0k","℃"],["z0q","℃"],["z0w","℃"]],
					
					"sixPost":[["z00","m"],["z02","m"],["z04","m"],["z06","m"],["z08","m"],["z0A1","m"]],
					"sevPost":[["z0C1","kPa"],["z0E1","kPa"],["z0G1","kPa"],["z0I1","kPa"],["z0K1","kPa"],["z0M1","kPa"]],
					"eigPost":[["z0O1","℃"],["z0U1","℃"],["z0a","℃"],["z0g","℃"],["z0m","℃"],["z0s","℃"]],
					"ninPost":[["z0Q1","℃"],["z0W1","℃"],["z0c","℃"],["z0i","℃"],["z0o","℃"],["z0u","℃"]],
					"tenPost":[["z0P1","℃"],["z0V1","℃"],["z0b","℃"],["z0h","℃"],["z0n","℃"],["z0t","℃"]],
					
					"onetPost":[["z0y","℃"],["z12","℃"],["z16","℃"],["z1A1","℃"],["z1E1","℃"],["z1I1","℃"]],
					"twotPost":[["z0z","℃"],["z13","℃"],["z17","℃"],["z1B1","℃"],["z1F1","℃"],["z1J1","℃"]],
					"thrtPost":[["z11","℃"],["z15","℃"],["z19","℃"],["z1D1","℃"],["z1H1","℃"],["z1L1","℃"]],
					"fortPost":[["z10","℃"],["z14","℃"],["z18","℃"],["z1C1","℃"],["z1G1","℃"],["z1K1","℃"]],
					
					"fiftPost":[["z1Z1","MPa"],["z1a","MPa"],["z1b","MPa"],["z1Y1","MPa"]],
					"sixtPost":[["z1d","%LEL"],["z1e","%LEL"],["z1f","%LEL"],["z1g","%LEL"],["z1h","%LEL"],["z1i","%LEL"]],
					"sevtPost":[["z1N1","MPa"],["z1S1","MPa"],["z1R1","MPa"],["z1P1","MPa"],["z1U1","MPa"],["z1W1","MPa"]],
					"eigtPost":[["z1M1","MPa"],["z1T1","MPa"],["z1Q1","MPa"],["z1O1","MPa"],["z1V1","MPa"],["z1X1","MPa"]],
				}
			},
			"Engine":{
				"Height":29,
				"Display":"none",
				"switchKey":{//okokokok
					"switch_li0":{
						"Q05_15":"1号转速高报警",
						"Q05_14":"1号滑油低压报警",
						"Q05_12":"1号滑油进机温高报警",
						"Q05_11":"1号3次起动失败",
						"Q05_10":"1号电瓶欠压标记",
						"Q05_9":"1号燃油泄漏报警",
						"Q05_7":"1号超速停机报警",
						"Q06_15":"1号油压传感器故障",
						"Q06_14":"1号水温传感器故障",
						"Q06_13":"1号油温传感器故障",
						"Q07_15":"1号自动状态,1",
						"Q07_14":"1号备车完毕,1"
					},
					"switch_li1":{
						"Q08_15":"2号转速高报警",
						"Q08_14":"2号滑油低压报警",
						"Q08_12":"2号滑油进机温高报警",
						"Q08_11":"2号3次起动失败",
						"Q08_10":"2号电瓶欠压标记",
						"Q08_9":"2号燃油泄漏报警",
						"Q08_7":"2号超速停机报警",
						"Q09_15":"2号油压传感器故障",
						"Q09_14":"2号水温传感器故障",
						"Q09_13":"2号油温传感器故障",
						"Q0A_15":"2号自动状态,1",
						"Q0A_14":"2号备车完毕,1"
					},
					"switch_li2":{
						"Q0B_15":"3号转速高报警",
						"Q0B_14":"3号滑油低压报警",
						"Q0B_12":"3号滑油进机温高报警",
						"Q0B_11":"3号3次起动失败",
						"Q0B_10":"3号电瓶欠压标记",
						"Q0B_9":"3号燃油泄漏报警",
						"Q0B_7":"3号超速停机报警",
						"Q0C_15":"3号油压传感器故障",
						"Q0C_14":"3号水温传感器故障",
						"Q0C_13":"3号油温传感器故障",
						"Q0D_15":"3号自动状态,1",
						"Q0D_14":"3号备车完毕,1"
					}
				},
				"angVal":[
							["030","031","033","034","035","036"],
							["03A1","03B1","03D1","03E1","03F1","03G1"],
							["03a","03b","03d","03e","03f","03g"],
						],
				"eCchart":{
					"onePost":["030","031","036","035","034","033"],
					"twoPost":["03A1","03B1","03G1","03F1","03E1","03D1"],
					"thrPost":["03a","03b","03g","03f","03e","03d"]
				},
				"initHtml": function(){
					let _key = ["1号发电机","2号发电机","3号发电机"],_str="";
					for(var i=0;i<_key.length;i++){
						let _i = i;
						_str += `<div class="yz_clm4" style="height:100%;">
									<div class="Sense">
										<div class="flex justify-between">
											<div class="yz_title">${_key[i]}</div>
											<div>运行时间：<span class="Num" id="yxsj_${_i}">0</span> H</div>
										</div>
										<div style="height:calc(100% - 35px);text-align: center;">
											<div class="flex Ch_hei">
												<div class="flex-sub">
													<div style="height: calc(100% - 25px);width: 100%;" id="myChart${_i*2+1}"></div>
													<div style="margin-top: -14px;">柴油转速：<span class="Num" id="cyzs_${_i}">0</span> RPM</div>
												</div>
												<div class="flex-sub">
													<div style="height: calc(100% - 25px);width: 100%;" id="myChart${_i*2+2}"></div>
													<div style="margin-top: -14px;">滑油压力：<span class="Num" id="yali_${_i}">0</span> kPa</div>
												</div>
											</div>
											<div class="flex align-center  Ch_hei">
												<div style="width: 33.33%;">
													<div>电池电压</div>
													<div class="flex justify-center margin-tb-xs">
														<div class="Range">
															<span>50</span>
															<span>37.5</span>
															<span>25</span>
															<span>12.5</span>
															<span>0</span>
														</div>
														<div class="Battery">
															<img src="../imgs/dianc_bg.png" style="height: 100%;" alt="">
															<div id="dl_${_i}"></div>
														</div>
													</div>
													<div><span class="Num" id="dcdy_${_i}">0</span> V</div>
												</div>
												<div style="width: 33.33%;">
													<div>淡水温度</div>
													<div class="flex justify-center margin-tb-xs">
														<div class="Range" style="height: 80px;padding-top:0;">
															<span>100</span>
															<span>75</span>
															<span>50</span>
															<span>25</span>
															<span>0</span>
														</div>
														<div class="Temp">
															<div id="dwdz_${_i}"></div>
														</div>
													</div>
													<div><span class="Num" id="dswd_${_i}">0</span> ℃</div>
												</div>
												<div style="width: 33.33%;">
													<div>滑油温度</div>
													<div class="flex justify-center margin-tb-xs">
														<div class="Range" style="height: 80px;padding-top:0;">
															<span>100</span>
															<span>75</span>
															<span>50</span>
															<span>25</span>
															<span>0</span>
														</div>
														<div class="Temp">
															<div id="hwdzdl_${_i}"></div>
														</div>
													</div>
													<div><span class="Num" id="hywd_${_i}">0</span> ℃</div>
												</div>
											</div>
											<div class="warn_drog">
												<ul class="switch_li${_i} switch_li">
													
												</ul>
											</div>
										</div>
									</div>
								</div>`
					}
					$(".yz_clm15").html(_str);
				}
			}
		},
		"382001400":{
			"Cab":["005","065","085","0A51","none","flex"],
			"Post":{
				"anKey":["005","0MB","0MH","其他数据"],
				"Disp":["block","none","flex","none"],
				"Supercha":[["00y_转速_RPM","00O1_滑油出口温度_℃","01G_滑油进口压力(＞500rpm)_Mpa","01H_滑油进口压力(≤500rpm)_Mpa"],[]],
				"Interco":[["01P_后进气温度_℃","01Q_后进气温度低(＞500rpm)_℃","01I_高温水进口压力(＞500rpm)_Mpa","01J_高温水进口压力(≤500rpm)_Mpa","01K_低温水进口压力(>500rpm)_Mpa","01L_低温水进口压力(≤500rpm)_Mpa"],[]],
				"Line":`<div><div>起动空气压力</div><div><span class="Num" id="QK_v">0</span> MPa</div></div>
						<div><div>控制空气压力</div><div><span class="Num" id="KK_v">0</span> MPa</div></div>
						<div><div>主机转速抑制(≤500rpm)</div><div><span class="Num" id="ZSY_v">0</span> RPM</div></div>
						<div><div>滑油滤器压差</div><div><span class="Num" id="HYC_v">0</span> Mpa</div></div>`,
				"swKey":{
					"GangSw":["ang",{
						"1#(℃)":"00S1",
						"2#(℃)":"00T1",
						"3#(℃)":"00U1",
						"4#(℃)":"00V1",
						"5#(℃)":"00W1",
						"6#(℃)":"00X1"
					},{
						"0#(℃)":"01R",
						"1#(℃)":"01S",
						"2#(℃)":"01T",
						"3#(℃)":"01U",
						"4#(℃)":"01V",
						"5#(℃)":"01W",
						"6#(℃)":"01X",
						"7#(℃)":"01Y"
					}],
					"allSw":{//okokokok
						"switch_1Z":{
							"Q04-9":"死人系统报警,2",
							"Q05-0":"紫外线消毒器公共报警",
							"Q03-9":"同步屏PMS综合故障",
							"Q09-15":"防海生物系统公共报警",
							"Q0F-4":"主配-主汇流排电压高报警",
							"Q0F-3":"主配-主汇流排电压低报警",
							"Q0F-2":"主配-主汇流排频率高报警",
							"Q0F-1":"主配-主汇流排频率低报警",
							"Q0F-0":"主配-自动卸载失败报警",
							"Q0G-15":"主配-应急切断电源故障报警",
							"Q0G-14":"主配-应急切断线路断线报警",
							"Q0G-13":"主配-DC24V电源故障报警",
							"Q0G-12":"主配-AC380V绝缘低报警",
							"Q0G-11":"主配-AC220V绝缘低报警",
							"Q03-1":"应配-电板DC24V电源故障",
							"Q03-0":"应配-电板AC400V绝缘低报警",
							"Q03-15":"应配-电板AC220V绝缘低报警",
							"Q03-14":"应配-电板应急停止电源故障",
							"Q03-13":"应配-电板公共故障",
							"Q03-12":" 应配-电板应急停止线路断开"
						},
						"switch_2Z":{
							"Q08-10":"齿轮箱正车压力低报警",
							"Q08-9":"齿轮箱倒车压力低报警",
							"Q08-4":"齿轮箱工作油压力低报警",
							"Q08-8":"齿轮箱润滑油压力低报警",
							"Q08-7":"齿轮箱压差报警",
							"Q08-6":"齿轮箱滑油温度高报警",
							"Q0G-3":"齿轮箱滑油备用泵启动",
							"Q0I-1":"齿轮箱滑油压力过低",
							"Q00-6":"1#压缩机运行指示信号,1",
							"Q00-5":"1#压缩机异常",
							"Q00-4":"2#压缩机运行指示信号,1",
							"Q00-3":"2#压缩机异常",
							"Q06-15":"1号主空压机公共报警,2",
							"Q06-14":"2号主空压机公共报警,2",
							"Q06-13":"3号主空压机公共报警,2",
							"Q06-12":"生活污水处理装置公共报警",
							"Q06-11":"生活污水处理装置运行指示,1",
							"Q06-10":"生活污水处理装置溢流报警",
							"Q03-3":"水手长舱室(左)液位高报警",
							"Q03-2":"水手长舱室(右)液位高报警"
						},
						"switch_3ZP":{
							"Q0I-12":"主机运行,1",
							"Q0I-14":"主机超速停车",
							"Q0I-13":"主机紧急停车",
							"Q0I-6":"主机故障降速",
							"Q0I-7":"主机故障停车",
							"Q0I-5":"主机故障降速预报警",
							"Q0I-4":"主机故障停车预报警",
							"Q0I-12":"主机报警箱主电源失电",
							"Q0I-11":"主机报警箱备用电源失电",
							"Q0I-10":"主机调速器控制箱主电源失电",
							"Q0I-9":"主机高压燃油管泄漏",
							"Q09-14":"主-遥控系统错向报警,2",
							"Q03-11":"主-遥控主电源失电",
							"Q03-10":"主-遥控应急电源失电",
							"Q0H-12":"1#舵机运行,1",
							"Q0G-2":"1#舵机动力失电",
							"Q0G-1":"1#舵机控制失电",
							"Q0H-14":"1#舵机电源指示",
							"Q0H-10":"1#舵机油箱液位低",
							"Q0H-8":"1#舵机油箱油温高",
							"Q0H-6":"1#舵机电源断相",
							"Q0H-4":"1#舵机电机过载",
							"Q0H-2":"1#舵机失油压",
							"Q0H-0":"1#舵机滤器堵塞",
							"Q0H-11":"2#舵机运行,1",
							"Q0G-1":"2#舵机动力失电",
							"Q0H-15":"2#舵机控制失电",
							"Q0H-13":"2#舵机电源指示",
							"Q0H-9":"2#舵机油箱液位低",
							"Q0H-7":"2#舵机油箱油温高",
							"Q0H-5":"2#舵机电源断相",
							"Q0H-3":"2#舵机电机过载",
							"Q0H-1":"2#舵机失油压",
							"Q0I-15":"2#舵机滤器堵塞",
							"Q04-15":"舵机舱污水井(左)液位高报警",
							"Q04-14":"舵机舱污水井(右)液位高报警",
							"Q01-1":"舵机报警箱综合报警",
							"Q01-0":"充放电板绝缘低",
							"Q02-15":"充放电板电池低电压",
							"Q02-14":"充放电板充电器故障",
							"Q02-13":"充放电板综合报警",
							"Q08-0":"阴极保护系统公共报警",
							"Q08-3":"舱底油水分离器运行指示,1",
							"Q08-2":"舱底油水分离器公共报警",
							"Q08-1":"舱底油水分离器15PPM 报警",
							"Q09-9":"舱底水舱液位高报警"
						},
						"switch_TJ":{
							"Q00-15":"监测报警1#不间断电源故障",
							"Q00-14":"监测报警2#不间断电源故障",
							"Q00-13":"监测报警DC24V电源故障",
							"Q00-12":"火警系统故障",
							"Q00-11":"火警故障",
							"Q00-10":"艏侧推系统故障",
							"Q00-9":"压载水处理系统公共报警",
							"Q00-8":"艏部锚机报警箱公共报警",
							"Q00-7":"艉部系泊绞车报警箱公共报警",
							"Q00-2":"通用报警控制板失电报警",
							"Q00-1":"机舱报警灯柱电源故障",
							"Q09-13":"机舱艉污水井液位高报警",
							"Q09-12":"机舱前左污水井液位高报警",
							"Q09-11":"机舱前右污水井液位高报警",
							"Q09-10":"机舱空舱液位高报警",
							"Q09-8":"机舱浸水报警",
							"Q01-3":"机舱局部水雾消防系统故障",
							"Q01-2":"机舱局部水雾消防系统火灾报警",
							"Q00-0":"驱气风机起动器运行信号,1",
							"Q01-15":"泵舱抽风机起动器故障报警 ",
							"Q01-14":"泵舱抽风机起动器运行信号,1",
							"Q01-13":"405P厨房分电箱低绝缘报警",
							"Q01-12":"205P厨房分电箱低绝缘报警",
							"Q01-10":"机舱CO2施放阀开关报警",
							"Q01-9":"泵舱CO2施放阀开关报警",
							"Q01-8":"CO2泄漏报警",
							"Q01-7":"CO2电源故障",
							"Q01-6":"燃油供油单元粘度异常报警",
							"Q01-5":"燃油供油单元粘度综合报警",
							"Q01-4":"燃油供油单元粘度低硫油高温",
							"Q02-12":"排油监控系统电脑单元综合报警,2",
							"Q02-11":"人员报警系统预报警,2",
							"Q02-10":"人员报警系统主报警,2",
							"Q02-9":"氮气系统控制箱综合报警",
							"Q02-8":"货泵系统遥控台综合报警",
							"Q02-7":"船到岸ESD先动作",
							"Q02-6":"岸到船ESD先动作",
							"Q02-5":"船/岸ESD连接系统公共报警",
							"Q02-4":"可燃气体探测系统电源故障",
							"Q02-3":"可燃气体探测系统气体故障"
						},
						"switch_ZJ":{
							"Q0K-7":snMmsiSta?"LTS15主电源故障":"LTS3主电源故障",
							"Q0K-6":snMmsiSta?"LTS15备用电源故障":"LTS3辅电源故障",
							"Q0K-5":snMmsiSta?"HPU 公共报警":"LTS5主电源故障",
							"Q0K-4":snMmsiSta?"HPU 主马达故障":"LTS5辅电源故障",
							"Q0K-3":snMmsiSta?"HPU 备用马达故障":"NO.1 BMS 无关联",
							"Q0K-2":snMmsiSta?"HPU 压力低报警":"NO.2 BMS 无关联",
							"Q0K-1":snMmsiSta?"HPU 油温高报警":"N0.1 BMS 压力低",
							"Q0K-0":snMmsiSta?"HPU 回滤器闭锁":"N0.2 BMS 压力低",
							"Q0L-15":snMmsiSta?"HPU 液位低报警":"N0.1 PI 无关联",
							"Q0L-14":snMmsiSta?"HPU 液位过低报警":"N0.2 PI 无关联",
							"Q0L-13":snMmsiSta?"HPU 失电":"N0.3 PI 无关联"
						},
						"switch_AB":{
							"":snMmsiSta?"压载泵报警模块":"阀门遥控报警模块",
							"Q0L-12":snMmsiSta?"NO.1 进口压力高":"LTS15主电源故障",
							"Q0L-11":snMmsiSta?"NO.1 出口压力高":"LTS15辅电源故障",
							"Q0L-10":snMmsiSta?"NO.2 进口压力高":"液压单元公共报警",
							"Q0L-9":snMmsiSta?"NO.2 出口压力高":"液压单元主电机故障",
							"Q0L-8":snMmsiSta?"NO.1 密封温度高":"液压单元备用电机故障",
							"Q0L-7":snMmsiSta?"NO.2 密封温度高":"液压单元压力低报警",
							"Q0L-6":snMmsiSta?"NO.1 进口压力低":"液压单元油温度高",
							"Q0L-5":snMmsiSta?"NO.1 出口压力低":"液压单元反过滤器锁定",
							"Q0L-4":snMmsiSta?"NO.2 进口压力低":"液压单元液位低报警",
							"Q0L-3":snMmsiSta?"NO.2 出口压力低":"液压单元液位低低报警",
							"Q0L-2":snMmsiSta?"NO.1 密封温度低":"液压单元电源故障"
						},
						"switch_YLI":{
							"Q05-14":"燃油锅炉综合故障",
							"Q05-13":"燃油锅炉正常燃烧运行,1",
							"Q05-12":"燃油锅炉1#水泵运行,1",
							"Q05-11":"燃油锅炉2#水泵运行,1",
							"Q05-10":"燃油锅炉1#油泵运行,1",
							"Q05-9":"燃油锅炉2#油泵运行,1",
							"Q05-8":"燃油锅炉燃烧器运行,1",
							"Q05-7":"燃油锅炉电源故障",
							"Q05-6":"组合锅炉综合故障",
							"Q05-5":"组合锅炉正常燃烧运行,1",
							"Q05-4":"组合锅炉1#水泵运行,1",
							"Q05-3":"组合锅炉2#水泵运行,1",
							"Q05-2":"组合锅炉燃烧器运行,1",
							"Q05-1":"组合锅炉电源故障",
							"Q03-6":"组合锅炉柴油日用柜液位高",
							"Q03-5":"组合锅炉柴油日用柜液位低",
							"Q04-8":"1#燃油分油机控制箱公共报警",
							"Q04-7":"1#燃油分油机控制箱运行指示,1",
							"Q04-6":"2#燃油分油机控制箱公共报警",
							"Q04-5":"2#燃油分油机控制箱运行指示,1",
							"Q09-7":"燃油溢流舱液位高报警",
							"Q09-6":"燃油泄放舱液位高报警",
							"Q09-5":"滑油泄放舱液位高报警",
							"Q09-4":"油渣舱液位高"
						}
					}
				},
				"YWei":[//okokokok
						[true,"0K9","柴油日用舱液位(左)","0KD","柴油日用舱液位(右)","Q07_12,Q07_11","Q07_10,Q07_9"],
						[true,"0KA","柴油沉淀舱液位(左)","0KE","柴油沉淀舱液位(右)","Q06_0,Q07_15","Q07_14,Q07_13"],
						[true,"0K5","柴油储存舱(左)","0K6","柴油储存舱(右)","Q07_8","Q07_7","0ez","0f0"],
						[true,"0KB","燃油日用舱液位","0KC","燃油沉淀舱液位","Q06_2,Q06_1","Q06_4,Q06_3"],
						[false,"0KW","燃油日用舱温度(右)","0KV","燃油沉淀舱温度(右)"],
						[true,"0K1","燃油储存舱(左)","0K2","燃油储存舱(右)","Q06_6","Q06_5","0ep","0eq"],
						[false,"0KX","燃油储存舱温度(左)","0KY","燃油储存舱温度(右)"]
					],
				"eCchartSta":["none","inline-block","1-6#缸排气温度","0-7#主轴承温度","block","涡轮、滑油、高温水"],
				"eCchart":snMmsiSta? {
					"onePost":[["620","RPM"],["392","kPa"],["449","℃"],["393","MPa"],["394","MPa"],["384","MPa"],["385","MPa"],["450","℃"]],
					"twoPost":[["489","℃"],["487","℃"],["488","℃"],["451","℃"],["452","℃"],["453","℃"],["454","℃"],["455","℃"]],
					"thrPost":[["456","℃"],["386","MPa"],["388","MPa"],["457","℃"],["387","MPa"],["389","MPa"]],
					"forPost":[["374","kPa"],["375","kPa"],["376","kPa"],["432","℃"],["377","kPa"],["379","kPa"],["373","kPa"]],
					"fivPost":[["573","m"],["575","m"],["574","m"],["576","m"],["569","m"],["570","m"],["569","m³","5.23"],["570","m³","6.25"]],
					"eigPost":[["567","m"],["568","m"],["571","m"],["567","m³","4.59"],["568","m³","4.08"],["572","m"]],
					"ninPost":[["434","℃"],["433","℃"],["435","℃"],["436","℃"]],
					"sixPost":[["474","℃"],["475","℃"],["476","℃"],["477","℃"],["478","℃"],["479","℃"]],
					"sevPost":[["458","℃"],["459","℃"],["460","℃"],["461","℃"],["462","℃"],["463","℃"],["464","℃"],["465","℃"]],
				}:{
					"onePost":[["005","RPM"],["00K1","kPa"],["00P1","℃"],["00L1","MPa"],["00M1","MPa"],["01G","MPa"],["01H","MPa"],["00O1","℃"]],
					"twoPost":[["00e","℃"],["00c","℃"],["00d","℃"],["00Q1","℃"],["00R1","℃"],["00h","℃"],["00i","℃"],["00j","℃"]],
					"thrPost":[["01P","℃"],["01I","MPa"],["01K","MPa"],["01Q","℃"],["01J","MPa"],["01L","MPa"]],
					"forPost":[["0MH","kPa"],["0M3","kPa"],["0M4","kPa"],["0MB","℃"],["0M5","kPa"],["0M1","kPa"],["0M2","kPa"]],
					"fivPost":[["0K9","m"],["0KD","m"],["0KA","m"],["0KE","m"],["0K5","m"],["0K6","m"],["0K5","m³","5.23"],["0K6","m³","6.25"]],
					"eigPost":[["0K1","m"],["0K2","m"],["0KB","m"],["0K1","m³","4.59"],["0K2","m³","4.08"],["0KC","m"]],
					"ninPost":[["0KW","℃"],["0KV","℃"],["0KX","℃"],["0KY","℃"]],
					"sixPost":[["00S1","℃"],["00T1","℃"],["00U1","℃"],["00V1","℃"],["00W1","℃"],["00X1","℃"]],
					"sevPost":[["00m","℃"],["00n","℃"],["00o","℃"],["00p","℃"],["00q","℃"],["00r","℃"],["00s","℃"],["00t","℃"]],
				},
				"eChartTxt" : {
					"onePost":["主机转速","燃油进机压力","燃油进机温度","起动空气压力","控制空气压力","增压器滑油进口压力(>500rpm)","增压器滑油进口压力(≤500rpm)","增压器滑油出口温度"],
					"twoPost":["涡轮出口排气温度","涡轮进口(上)排气温度","涡轮进口(下)排气温度","滑油进机温度","滑油出机温度","高温水进机温度","高温水出机温度","高温水出机温度过高"],
					"thrPost":["后进气温度","高高温水进口压力(>500rpm)","低温水进口压力(>500rpm)","后进气温度低(>500rpm)","高温水进口压力(≤500rpm)","低温水进口压力(≤500rpm)"],
					"forPost":["滤前工作油压力","滤前压力","滤后压力","滑油温度","滑油压力","正车工作油压力","倒车工作油压力"],
					"fivPost":["柴油日用舱-液位(左)","柴油日用舱-液位(右)","柴油沉淀舱-液位(左)","柴油沉淀舱-液位(右)","柴油储存舱-液位(左)","柴油储存舱-液位(右)","柴油储存舱-容量(左)","柴油储存舱-容量(右)"],
					"eigPost":["燃油储存舱-液位(左)","燃油储存舱-液位(右)","燃油日用舱-液位","燃油储存舱-容量(左)","燃油储存舱-容量(右)","燃油沉淀舱-液位"],
					"ninPost":["燃油日用舱-温度(右)","燃油沉淀舱-温度(右)","燃油储存舱-温度(左)","燃油储存舱-温度(右)"],
					"sixPost":["1#缸","2#缸","3#缸","4#缸","5#缸","6#缸"],
					"sevPost":["0#主轴承","1#主轴承","2#主轴承","3#主轴承","4#主轴承","5#主轴承","6#主轴承","7#主轴承"]
				}
			},
			"Cargo":{
				"disp":["none","flex"],
				"anKey":["z1p","z1q"],//1#蒸汽、2#蒸汽
				"Chart":{
					"name":"液货舱集管压力",
					"key":["z1j","z1k","z1l","z1m","z1n","z1o"]
				},
				"outIn":{
					"in":[["1#压载泵_z1S1","2#压载泵_z1U1"],["1#清洗泵_z1r","2#清洗泵_z1t"]],
					"out":[["1#压载泵_z1T1","2#压载泵_z1V1"],["1#清洗泵_z1s","2#清洗泵_z1u"]],
				},
				"swKey":{//okokokok
					"left":[
						["z01","z0D1","z0R1","z0S1","z0T1",["Q0J-3","Q0J-15","","",""],"1#货舱","41.06"],
						["z03","z0F1","z0X1","z0Y1","z0Z1",["Q0J-1","Q0J-13","","",""],"2#货舱","75.44"],
						["z05","z0H1","z0d","z0e","z0f",["Q0K-15","Q0J-11","","",""],"3#货舱","79.44"],
						["z07","z0J1","z0j","z0k","z0l",["Q0K-13","Q0J-9","","",""],"4#货舱","79.28"],
						["z09","z0L1","z0p","z0q","z0r",["Q0K-11","Q0J-7","","",""],"5#货舱","79.81"],
						["z2U","z0N1","z1x","z1v","z1w",["Q0K-9","Q0J-8","","",""],"6#货舱","23.27"],
					],
					"right":[
						["z00","z0C1","z0O1","z0P1","z0Q1",["Q0J-2","Q0J-14","","",""],"1#货舱","40.34"],
						["z02","z0E1","z0U1","z0V1","z0W1",["Q0J-0","Q0J-12","","",""],"2#货舱","75.43"],
						["z04","z0G1","z0a","z0b","z0c",["Q0K-14","Q0J-10","","",""],"3#货舱","79.37"],
						["z06","z0I1","z0g","z0h","z0i",["Q0K-12","Q0J-8","","",""],"4#货舱","79.31"],
						["z08","z0K1","z0m","z0n","z0o",["Q0K-10","Q0J-6","","",""],"5#货舱","79.28"],
						["z2T","z0M1","z20","z1y","z1z",["Q0K-8","Q0J-4","","",""],"6#货舱","23.85"],
					],
					"viewBe":[
						["0KF","0KG","1#压载舱","0eL","0eM"],
						["0KH","0KI","2#压载舱","0eN","0eO"],
						["0KJ","0KK","3#压载舱","0eP","0eQ"],
						["0KL","0KM","4#压载舱","0eR","0eS"],
						["0KN","0KO","5#压载舱","0eT","0eU"],
						["0KP","0KQ","1#淡水舱","0ef","0eg"],
						["0KR","0KS","2#淡水舱","0eh","0ei"],
						
					],
					"switch_CE":[{
						"Q0J-0":"NO.1进口压力高报警",
						"Q0J-2":"NO.2进口压力高报警",
						"Q0J-5":"NO.1密封温度高",
						"Q0J-6":"NO.2密封温度高",
						"Q0J-1":"NO.1出口压力高报警",
						"Q0J-3":"NO.2出口压力高报警",
						"Q0J-12":"NO.1密封温度低",
						"Q0J-13":"NO.2密封温度低",
						"Q0J-7":"NO.1进口压力低报警",
						"Q0J-9":"NO.2进口压力低报警",
						"Q0J-4":"清洗水温度高报警",
						"Q0J-11":"清洗水温度低报警",
						"Q0J-8":"NO.1出口压力低报警",
						"Q0J-10":"NO.2出口压力低报警",
					}]
				},
				"eCchartSta":["block","none","总管压力、集管压力","泵数据","进出口压力","穿舱件温度","inline-block",(snMmsiSta?"none":"inline-block")],
				"eChartTxt":{
					"onePost":["1#左货舱-液位","2#左货舱-液位","3#左货舱-液位","4#左货舱-液位","5#左液舱-液位","6#左货舱-液位"],
					"twoPost":["1#左货舱-压力","2#左货舱-压力","3#左货舱-压力","4#左货舱-压力","5#左货舱-压力","6#左货舱-压力"],
					"nintPost":["1#左货舱-容量","2#左货舱-容量","3#左货舱-容量","4#左货舱-容量","5#左货舱-容量","6#左货舱-容量"],
					"thrPost":["1#左货舱-上温","2#左货舱-上温","3#左货舱-上温","4#左货舱-上温","5#左货舱-上温","6#左货舱-上温"],
					"forPost":["1#左货舱-中温","2#左货舱-中温","3#左货舱-中温","4#左货舱-中温","5#左货舱-上温","6#左货舱-中温"],
					"fivPost":["1#左货舱-底温","2#左货舱-底温","3#左货舱-底温","4#左货舱-底温","5#左货舱-底温","6#左货舱-底温"],
					
					"sixPost":["1#右货舱-液位","2#右货舱-液位","3#右货舱-液位","4#右货舱-液位","5#右货舱-液位","6#右货舱-液位"],
					"sevPost":["1#右货舱-压力","2#右货舱-压力","3#右货舱-压力","4#右货舱-压力","5#右货舱-压力","6#右货舱-压力"],
					"tentPost":["1#右货舱-容量","2#右货舱-容量","3#右货舱-容量","4#右货舱-容量","5#右货舱-容量","6#右货舱-容量"],
					"eigPost":["1#右货舱-上温","2#右货舱-上温","3#右货舱-上温","4#右货舱-上温","5#右货舱-上温","6#右货舱-上温"],
					"ninPost":["1#右货舱-中温","2#右货舱-中温","3#右货舱-中温","4#右货舱-中温","5#右货舱-上温","6#右货舱-中温"],
					"tenPost":["1#右货舱-底温","2#右货舱-底温","3#右货舱-中温","4#右货舱-底温","5#右货舱-底温","6#右货舱-底温"],
					
					"onetPost":["1#压载舱-左液位","2#压载舱-左液位","3#压载舱-左液位","4#压载舱-左液位","5#压载舱-左液位","1#淡水舱-左液位","2#淡水舱-左液位"],
					"twotPost":["1#压载舱-右液位","2#压载舱-右液位","3#压载舱-右液位","4#压载舱-右液位","5#压载舱-右液位","1#淡水舱-右液位","2#淡水舱-右液位"],
					"thrtPost":["1#压载舱-左容量","2#压载舱-左容量","3#压载舱-左容量","4#压载舱-左容量","5#压载舱-左容量","1#淡水舱-左容量","2#淡水舱-左容量"],
					"fortPost":["1#压载舱-右容量","2#压载舱-右容量","3#压载舱-右容量","4#压载舱-右容量","5#压载舱-右容量","1#淡水舱-右容量","2#淡水舱-右容量"],
					"fiftPost":["1#蒸气回收-总管压力","1#液货舱-集管压力","3#液货舱-集管压力","5#液货舱-集管压力","2#蒸气回收-总管压力","2#液货舱-集管压力","4#液货舱-集管压力","6#液货舱-集管压力"],
					"sevtPost":["1#压载泵-进口压力","2#压载泵-进口压力","1#清洗泵-进口压力","2#清洗泵-进口压力","1#压载泵-出口压力","2#压载泵-出口压力","1#清洗泵-出口压力","2#清洗泵-出口压力"],
					"eigtPost":["1#压载泵-穿舱件温度","2#压载泵-穿舱件温度","1#洗舱泵-穿舱件温度","2#洗舱泵-穿舱件温度"]
				},
				"eCchart" :snMmsiSta? {
					"onePost":[["528","m"],["530","m"],["532","m"],["534","m"],["536","m"],["538","m"]],
					"twoPost":[["397","kPa"],["399","kPa"],["401","kPa"],["403","kPa"],["405","kPa"],["407","kPa"]],
					"nintPost":[["528","m³","200"],["530","m³","175"],["532","m³","79.13"],["534","m³","1000"],["536","m³","1300"],["538","m³","100"]],
					"thrPost":[["490","℃"],["492","℃"],["494","℃"],["496","℃"],["498","℃"],["500","℃"]],
					"forPost":[["502","℃"],["504","℃"],["506","℃"],["508","℃"],["510","℃"],["512","℃"]],
					"fivPost":[["514","℃"],["516","℃"],["518","℃"],["520","℃"],["522","℃"],["524","℃"]],
					"sixPost":[["529","m"],["531","m"],["533","m"],["535","m"],["537","m"],["539","m"]],
					"sevPost":[["398","kPa"],["400","kPa"],["402","kPa"],["404","kPa"],["406","kPa"],["408","kPa"]],
					"tentPost":[["529","m³","400"],["531","m³","155.56"],["533","m³","78.53"],["535","m³","58.16"],["537","m³","75.86"],["539","m³","100"]],
					"eigPost":[["491","℃"],["493","℃"],["495","℃"],["497","℃"],["499","℃"],["501","℃"]],
					"ninPost":[["503","℃"],["505","℃"],["507","℃"],["509","℃"],["511","℃"],["513","℃"]],
					"tenPost":[["515","℃"],["517","℃"],["519","℃"],["521","℃"],["523","℃"],["525","℃"]],
					"onetPost":[["553","m"],["555","m"],["557","m"],["559","m"],["561","m"],["563","m"],["565","m"]],
					"twotPost":[["554","m"],["556","m"],["558","m"],["560","m"],["562","m"],["564","m"],["566","m"]],
					"thrtPost":[["553","m³","31.15"],["555","m³","25.8"],["557","m³","28.78"],["559","m³","145.76"],["561","m³","206.78"],["563","m³","5.93"],["565","m³","9.19"]],
					"fortPost":[["554","m³","28.91"],["556","m³","27.42"],["558","m³","25.44"],["560","m³","148.1"],["562","m³","122.75"],["564","m³","5.98"],["566","m³","12.11"]],
					"fiftPost":[["409","kPa"],["411","MPa"],["413","MPa"],["415","MPa"],["410","kPa"],["412","MPa"],["414","MPa"],["416","MPa"]],
					"sevtPost":[],
					"eigtPost":[],
				}:{
					"onePost":[["z01","m"],["z03","m"],["z05","m"],["z07","m"],["z09","m"],["z2U","m"]],
					"twoPost":[["z0D1","kPa"],["z0F1","kPa"],["z0H1","kPa"],["z0J1","kPa"],["z0L1","kPa"],["z0N1","kPa"]],
					"nintPost":[["z01","m³","200"],["z03","m³","175"],["z05","m³","79.13"],["z07","m³","1000"],["z09","m³","1300"],["z2U","m³","100"]],
					"thrPost":[["z0R1","℃"],["z0X1","℃"],["z0d","℃"],["z0j","℃"],["z0p","℃"],["z1x","℃"]],
					"forPost":[["z0T1","℃"],["z0Z1","℃"],["z0f","℃"],["z0l","℃"],["z0r","℃"],["z1w","℃"]],
					"fivPost":[["z0S1","℃"],["z0Y1","℃"],["z0e","℃"],["z0k","℃"],["z0q","℃"],["z1v","℃"]],
					"sixPost":[["z00","m"],["z02","m"],["z04","m"],["z06","m"],["z08","m"],["z2T","m"]],
					"sevPost":[["z0C1","kPa"],["z0E1","kPa"],["z0G1","kPa"],["z0I1","kPa"],["z0K1","kPa"],["z0M1","kPa"]],
					"tentPost":[["z00","m³","400"],["z02","m³","155.56"],["z04","m³","78.53"],["z06","m³","58.16"],["z08","m³","75.86"],["z2T","m³","100"]],
					"eigPost":[["z0O1","℃"],["z0U1","℃"],["z0a","℃"],["z0g","℃"],["z0m","℃"],["z20","℃"]],
					"ninPost":[["z0Q1","℃"],["z0W1","℃"],["z0c","℃"],["z0i","℃"],["z0o","℃"],["z1z","℃"]],
					"tenPost":[["z0P1","℃"],["z0V1","℃"],["z0b","℃"],["z0h","℃"],["z0n","℃"],["z1y","℃"]],
					
					"onetPost":[["0KF","m"],["0KH","m"],["0KJ","m"],["0KL","m"],["0KN","m"],["0KP","m"],["0KR","m"]],
					"twotPost":[["0KG","m"],["0KI","m"],["0KK","m"],["0KM","m"],["0KO","m"],["0KQ","m"],["0KS","m"]],
					
					"thrtPost":[["0KF","m³","31.15"],["0KH","m³","25.8"],["0KJ","m³","28.78"],["0KL","m³","145.76"],["0KN","m³","206.78"],["0KP","m³","5.93"],["0KR","m³","9.19"]],
					"fortPost":[["0KG","m³","28.91"],["0KI","m³","27.42"],["0KK","m³","25.44"],["0KM","m³","148.1"],["0KO","m³","122.75"],["0KG","m³","5.98"],["0KS","m³","12.11"]],
					"fiftPost":[["z1p","MPa"],["z1j","MPa"],["z1l","MPa"],["z1n","MPa"],["z1q","MPa"],["z1k","MPa"],["z1m","MPa"],["z1o","MPa"]],
					"sevtPost":[["z1S1","MPa"],["z1U1","MPa"],["z1r","MPa"],["z1t","MPa"],["z1T1","MPa"],["z1V1","MPa"],["z1s","MPa"],["z1u","MPa"]],
					"eigtPost":[["z2P","℃"],["z2Q","℃"],["z2R","℃"],["z2S","℃"]],
				}
			},
			"Engine":{
				"Height":30,
				"Display":"flex",
				"switchKey":{//okokok
					"switch_li0":snMmsiHY?null:{
						"Q0B_9":"发动机运行,1",
						"Q0F_13":"启动失败",
						"Q0B_13":"备车完毕,1",
						"Q0B_12":"机旁状态,1",
						"Q0B_11":"遥控状态,1",
						"Q0B_10":"自动状态,1",
						"Q04_12":"绕组温度高报警,2",
						"Q08_13":"安全系统公共停车,2"
					},
					"switch_li1":snMmsiHY?{
						"0j0_1":"超速报警停机",
						"0j0_3":"三次启动失败报警",
						"0j0_6":"水温高停机",
						"0j0_7":"油温高停机",
						"0j0_8":"油压低停机",
						"0j1_1":"超速报警",
						"0j1_6":"水温高报警",
						"0j1_7":"油温高报警",
						"0j1_8":"油压低报警",
						"0j1_13":"蓄电池电压低警告",
						"0j1_14":"船供电源电压低报警",
						"0j1_15":"冷却液位低报警",
					}:{
						"Q0B_14":"故障停机",
						"Q0A_13":"转速高报警",
						"Q0B_15":"水压低报警",
						"Q0A_12":"滑油低压报警",
						"Q0A_11":"淡水温高报警",
						"Q0A_10":"滑油进机温高报警",
						"Q0A_9":"燃油泄漏报警",
						"Q0A_8":"电瓶欠压标记",
						"Q0A_7":"启动空气压力报警",
						"Q0A_6":"ECU故障报警",
						"Q0A_5":"主电故障报警",
						"Q0A_4":"3次起动失败报警",
						"Q0A_3":"紧急停机按钮按下",
						"Q0A_2":"超速停机报警",
						"Q0A_1":"油压过低停机报警",
						"Q0A_0":"水温过高停机报警",
						"Q0E_0":"异常脱扣报警",
						"Q0F_15":"自动合闸失败报警",
						"Q0F_14":"逆功率报警"
					},
					"switch_li2":snMmsiHY?null:{
						"Q0C_4":"发动机运行,1",
						"Q0F_9":"启动失败",
						"Q0C_8":"备车完毕,1",
						"Q0C_7":"机旁状态,1",
						"Q0C_6":"遥控状态,1",
						"Q0C_5":"自动状态,1",
						"Q04_11":"绕组温度高报警,2",
						"Q08_12":"安全系统公共停车,2"
					},
					"switch_li3":snMmsiHY?{
						"0j2_1":"超速报警停机",
						"0j2_3":"三次启动失败报警",
						"0j2_6":"水温高停机",
						"0j2_7":"油温高停机",
						"0j2_8":"油压低停机",
						"0j3_1":"超速报警",
						"0j3_6":"水温高报警",
						"0j3_7":"油温高报警",
						"0j3_8":"油压低报警",
						"0j3_13":"蓄电池电压低警告",
						"0j3_14":"船供电源电压低报警",
						"0j3_15":"冷却液位低报警",
					}:{
						"Q0C_9":"故障停机",
						"Q0B_8":"转速高报警",
						"Q0C_10":"水压低报警",
						"Q0B_7":"滑油低压报警",
						"Q0B_6":"淡水温高报警",
						"Q0B_5":"滑油进机温高报警",
						"Q0B_4":"燃油泄漏报警",
						"Q0B_3":"电瓶欠压标记",
						"Q0B_2":"启动空气压力报警",
						"Q0B_1":"ECU故障报警",
						"Q0B_0":"主电故障报警",
						"Q0C_15":"3次起动失败报警",
						"Q0C_14":"紧急停机按钮按下",
						"Q0C_13":"超速停机报警",
						"Q0C_12":"油压过低停机报警",
						"Q0C_11":"水温过高停机报警",
						"Q0F_12":"异常脱扣报警",
						"Q0F_11":"自动合闸失败报警",
						"Q0F_10":"逆功率报警"
					},
					"switch_li4":snMmsiHY?null:{
						"Q0E_15":"发动机运行,1",
						"Q0F_5":"启动失败",
						"Q0D_3":"备车完毕,1",
						"Q0D_2":"机旁状态,1",
						"Q0D_1":"遥控状态,1",
						"Q0D_0":"自动状态,1",
						"Q04_10":"绕组温度高报警,2",
						"Q08_11":"安全系统公共停车,2"
					},
					"switch_li5":snMmsiHY?{
						"0j4_1":"超速报警停机",
						"0j4_3":"三次启动失败报警",
						"0j4_6":"水温高停机",
						"0j4_7":"油温高停机",
						"0j4_8":"油压低停机",
						"0j5_1":"超速报警",
						"0j5_6":"水温高报警",
						"0j5_7":"油温高报警",
						"0j5_8":"油压低报警",
						"0j5_13":"蓄电池电压低警告",
						"0j5_14":"船供电源电压低报警",
						"0j5_15":"冷却液位低报警",
					}:{
						"Q0D_4":"故障停机",
						"Q0C_3":"转速高报警",
						"Q0D_5":"水压低报警",
						"Q0C_2":"滑油低压报警",
						"Q0C_1":"淡水温高报警",
						"Q0C_0":"滑油进机温高报警",
						"Q0D_15":"燃油泄漏报警",
						"Q0D_14":"电瓶欠压标记",
						"Q0D_13":"启动空气压力报警",
						"Q0D_12":"ECU故障报警",
						"Q0D_11":"主电故障报警",
						"Q0D_10":"3次起动失败报警",
						"Q0D_9":"紧急停机按钮按下",
						"Q0D_8":"超速停机报警",
						"Q0D_7":"油压过低停机报警",
						"Q0D_6":"水温过高停机报警",
						"Q0F_8":"异常脱扣报警",
						"Q0F_7":"自动合闸失败报警",
						"Q0F_6":"逆功率报警"
					},
					"switch_li6":snMmsiHY?null:{
						"Q0E_2":"备车完毕,1",
						"Q0E_1":"自动状态,1",
						"Q0E_6":"紧急停机",
						"Q0E_14":"转速高报警",
						"Q0E_10":"3次起动失败"
					},
					"switch_li7":snMmsiHY?{
						"0j6_1":"超速报警停机",
						"0j6_3":"三次启动失败报警",
						"0j6_6":"水温高停机",
						"0j6_7":"油温高停机",
						"0j6_8":"油压低停机",
						"0j7_1":"超速报警",
						"0j7_6":"水温高报警",
						"0j7_7":"油温高报警",
						"0j7_8":"油压低报警",
						"0j7_13":"蓄电池电压低警告",
						"0j7_14":"船供电源电压低报警",
						"0j7_15":"冷却液位低报警"
					}:{
						"Q0E_13":"滑油低压报警",
						"Q0E_12":"淡水温高报警",
						"Q0E_11":"滑油进机温高报警",
						"Q0E_9":"电瓶欠压标记",
						"Q0E_8":"燃油泄漏报警",
						"Q0E_7":"超速停机报警",
						"Q0E_5":"油压传感器故障",
						"Q0E_4":"水温传感器故障",
						"Q0E_3":"油温传感器故障",
						"Q02_2":"ACB故障脱扣",
						"Q03_8":"柴油日用柜液位高报警",
						"Q03_7":"柴油日用柜液位低报警",
						"Q01_11":"机旁控制箱电源故障"
					}
				},
				"angVal":[
							["065","064","060","062","066","06L"],
							["085","084","080","082","086","08L"],
							["0A51","0A41","0A0","0A2","0A61","0AL"],
							["0S5","0S4","0S0","0S2","0S6","0SL"],
						],
				"eCchart":snMmsiSta?{
					"onePost":["608","380","610","439","438","437"],
					"twoPost":["611","381","613","442","441","440"],
					"thrPost":["614","382","616","445","444","443"],
					"forPost":["617","383","619","448","447","446"]
				}:(snMmsiHY?{
					"onePost":["0fr","0fu","0fw","0fv","0ft","0fs"],
					"twoPost":["0fx","0g0","0g2","0g1","0fz","0fy"],
					"thrPost":["0g3","0g6","0g8","0g7","0g5","0g4"],
					"forPost":["0g9","0gC1","0gE1","0gD1","0gB1","0gA1"]
				}:{
					"onePost":["065","064","06L","066","062","060"],
					"twoPost":["085","084","08L","086","082","080"],
					"thrPost":["0A51","0A41","0AL","0A61","0A2","0A0"],
					"forPost":["0S5","0S4","0SL","0S6","0S2","0S0"]
				}),
				"initHtml": function(){
					let _key = ["1号发电机","2号发电机","3号发电机","应急发电机"],_str="";
					for(var i=0;i<_key.length;i++){
						let _i = i;
						_str += `<div class="yz_clm6 _Engi${_i}" style="height:100%;display:${_i<2?'block':'none'};">
									<div class="Sense">
										<div class="flex justify-between">
											<div class="yz_title">${_key[i]}</div>
											<div>运行时间：<span class="Num" id="yxsj_${_i}">0</span> H</div>
										</div>
										<div style="height:calc(100% - 35px);text-align: center;">
											<div class="flex Ch_hei">
												<div class="flex-sub">
													<div style="height: calc(100% - 25px);width: 100%;" id="myChart${_i*2+1}"></div>
													<div style="margin-top: -14px;">柴油转速：<span class="Num" id="cyzs_${_i}">0</span> RPM</div>
												</div>
												<div class="flex-sub">
													<div style="height: calc(100% - 25px);width: 100%;" id="myChart${_i*2+2}"></div>
													<div style="margin-top: -14px;">滑油压力：<span class="Num" id="yali_${_i}">0</span> kPa</div>
												</div>
												<div class="flex-sub flex flex-direction align-center justify-center">
													<div class="flex justify-center margin-tb-xs">
														<div class="Range">
															<span>50</span>
															<span>37.5</span>
															<span>25</span>
															<span>12.5</span>
															<span>0</span>
														</div>
														<div class="Battery">
															<img src="../imgs/dianc_bg.png" style="height: 100%;" alt="">
															<div id="dl_${_i}"></div>
														</div>
													</div>
													<div>电池电压：<span class="Num" id="dcdy_${_i}">0</span> V</div>
												</div>
											</div>
											<div class="flex align-center  Ch_hei">
												<div class="flex-sub">
													<div>滑油温度</div>
													<div class="flex justify-center margin-tb-xs">
														<div class="Range" style="height: 80px;padding-top:0;">
															<span>100</span>
															<span>75</span>
															<span>50</span>
															<span>25</span>
															<span>0</span>
														</div>
														<div class="Temp">
															<div id="hwdzdl_${_i}"></div>
														</div>
													</div>
													<div><span class="Num" id="hywd_${_i}">0</span> ℃</div>
												</div>
												<div class="flex-sub">
													<div>淡水温度</div>
													<div class="flex justify-center margin-tb-xs">
														<div class="Range" style="height: 80px;padding-top:0;">
															<span>100</span>
															<span>75</span>
															<span>50</span>
															<span>25</span>
															<span>0</span>
														</div>
														<div class="Temp">
															<div id="dwdz_${_i}"></div>
														</div>
													</div>
													<div><span class="Num" id="dswd_${_i}">0</span> ℃</div>
												</div>
												<div class="flex-twice">
													<ul class="switch_li${_i*2} switch_li">
														
													</ul>
												</div>
											</div>
											<div class="warn_drog">
												<ul class="switch_li${_i*2+1} switch_li">
													
												</ul>
											</div>
										</div>
									</div>
								</div>`
					}
					$(".yz_clm15").html(_str);
				}
			}
		}
	}
	return dataDetail[_sn];
}