var _Tok = JSON.parse(localStorage.getItem("_yz_TT")).yzTok;
var shipLis = [];
// 检查两个时间是否相差半小时
function bewTime(time) {
	let date3 = new Date().getTime() - new Date(time).getTime();
	let str = 1;
	if (date3 > (24 * 60 * 60 * 1000)) {
		str = 0;
	}
	return str;
}
function getShip(cablr){
	shipLis = [];
	deviceList(function(_acb){
		for(var i=0;i<_acb.length;i++){
			var _nhn = _acb[i],_sta = i;
			let _ind = ShipData.findIndex((i,ind) => { return i.sn == _nhn.sn});
			if(_ind != -1){
				shipLis.push({
					position:_nhn["0a5"]<0?[121.453598,30.769552]:(_nhn["0a4"]!= null&&_nhn["0a5"]!=null?[_nhn["0a4"], _nhn["0a5"]]:[ShipData[_ind].lon,ShipData[_ind].lat]) ,
					prod:ShipData[_ind].prod,
					sn: _nhn.sn,
					sound:_nhn["0aS"],
					head:_nhn["0aA1"]<0?65.0:_nhn["0aA1"],
					sail:_nhn["0a3"],
					onlin:bewTime(_nhn.time),
					time: _nhn.time,
					devicelist: ShipData[_ind].devicelist
				})
			}
		}
		getAis(cablr);
	},12);
}
function deviceList(callback,_dsf){
	tokenAjax({url:"/config/config/getAnalogQuantity",type:"GET"},{})
	.then(function(res){
		if(_dsf != undefined){
			callback(res.data);
		}else{
			let _Sn = localStorage.getItem("shipSn");
			let _ind = res.data.findIndex((i,ind) => { return i.sn == _Sn});
			if(_ind == -1){
				let _inds = ShipData.findIndex((it,indt) => { return it.sn == _Sn});
				let _arr = deFault[0];
				_arr["0a4"] = ShipData[_inds].lon;
				_arr["0a5"] = ShipData[_inds].lat;
				_arr["iboatName"] = ShipData[_inds].prod;
				_arr["sn"] = ShipData[_inds].sn;
				_arr["0aS"] = ShipData[_inds].draught/10;
				_arr["0aA1"] = ShipData[_inds].heading;
				_arr["0a3"] = 1;
				_arr["mmsi"] = ShipData[_inds].mmsi;
				_arr["time"] = "----";
				callback(_arr);
			}else{
				let _obj = res.data[_ind],_sjn = turnField[_Sn];
				if(_sjn != undefined){
					for(var key in _obj){
						if(typeof _sjn[key] == 'string'){
							_obj[key] = _obj[key] == 30000?0:_obj[key];
							if(_sjn[key] != undefined){
								_obj[_sjn[key]] = _obj[key];
								delete _obj[key]
							}
						}else if(typeof _sjn[key] == 'object'){
							_obj[_sjn[key][0]] = [];
							for(let j=1;j<_sjn[key].length;j++){
								if(typeof _sjn[key][j] == 'number'){
									_obj[_sjn[key][0]][j-1] = 0;	
								}else{
									let _ab = _sjn[key][j].split("_");
									if(_ab.length == 2){
										_obj[_sjn[key][0]][j-1] = _obj[_ab[0]].charAt(parseInt(_ab[1]));
									}else{
										_obj[_sjn[key][0]][j-1] = _obj[_ab[0]].charAt(parseInt(_ab[1])) == 1?0:1;
									}
								}
							}
							_obj[_sjn[key][0]] = _obj[_sjn[key][0]].join("");
						}
					}
					if(_sjn["null"] != undefined){
						for(let k=0;k<_sjn["null"].length;k++){
							_obj[_sjn["null"][k]] = "---"
						}
					}
				}else{
					for(var key in _obj){
						_obj[key] = _obj[key] == 30000?0:_obj[key];
					}
				}
				callback(_obj);
			}
		}
	})
}
function getAis(callback) {
	$.ajax({
		url: "https://www.enstation.com:8083/ruico-ais/open/ais/getAisInfo",
		type: "POST",
		traditional: true,
		async: false,
		data: {
			mmsi: "413496020","414404130","412763160","413224850","412476540","413698760","413483320","413479290","413232440","413265770","413222980"
		},
		error: function(XMLHttpRequest) {
		},
		success: function(data) {
			console.log(data)
			// let _obj = data.data;
			let _obj = ShipData;
			for(var i=0;i<ShipData.length;i++){
				let _nhn = ShipData[i],_sta = i;
				let _ind = _obj.findIndex((i,ind) => { return i.mmsi == _nhn.mmsi&&_nhn.mmsi != null});
				if(_ind != -1){
					let _bcv = _obj[_ind];
					if(_nhn.mmsi != null){
						shipLis.push({
							icon: staticUrl+"/imgs/ship.png",
							position: [_bcv.lon, _bcv.lat],
							prod: _nhn.prod,
							sn: _nhn.sn,
							sound:_bcv.draught / 10,
							head:_bcv.heading,
							sail: 1,
							devicelist: _bcv.devicelist,
							time: "------"
						})
					}
				}
				if(_sta == (ShipData.length - 1)){
					callback(shipLis);
				}
			}
		}
	});
}

function getUser(){
	tokenAjax({url:"/config/config/getAnalogQuantityUser",type:"GET"},{})
	.then(function(res){
		res.user.avatar = "/images/boy-01.png";
		localStorage.setItem("_yz_TU",JSON.stringify(res.user));
		checkTU();
	})
}
function initMap(_obj){
	let newObj = _obj,ind = 0;
	for(var i=0;i<newObj.length;i++){
		let _acb = newObj[i],_len = newObj.length;
		AMap.convertFrom(_acb.position, 'gps', function (status, result) {
			ind += 1;
			if (result.info === 'ok') {
				var lnglats = result.locations; 
				_acb["_ponew"] = [lnglats[0].lng,lnglats[0].lat];
				if(ind == _len){
					markerArr = newObj;
					setMap(markerArr);
				}
			}
		});
	}
}
function setMap(_obj){
	map.clearMap();
	_obj.forEach(function(_obj) {
		var marker = new AMap.Marker({
			map: map,
			icon: new AMap.Icon({
				size: new AMap.Size(50, 50),
				image: staticUrl+"/imgs/ship.png",
				imageSize: new AMap.Size(50, 50)
			}),
			position: _obj._ponew,
			offset: new AMap.Pixel(-13, -30),
			extData: _obj.sn
		});
		marker.setLabel({
			offset: new AMap.Pixel(0, 0),
			content: "<div style='color:#000;font-size:12px;'>" + prodSn[_obj.sn].chn + "</div>",
			direction: 'bottom'
		});
		marker.on('click', markerClick);
	});
	openInfo(nowSn);
	function markerClick(e) {
		let _ind = e.target.getExtData();
		window.parent.postMessage({sn: _ind,change: "acb"}, '*');
		openInfo(_ind);
	}
}
function openInfo(_sn){
	for (var i = 0; i < markerArr.length; i++) {
		if (_sn == markerArr[i].sn) {
			let _str = markerArr[i];
			map.setCenter(_str._ponew);
			map.setZoom(10);
			localStorage.setItem("shipSn",_str.sn);
			// PC端
			$("#html_view .text-sm").removeClass("act");
			$("#html_view li[data-id='"+_str.sn+"'] .text-sm").addClass("act");
			
			$(".map_title").text(prodSn[_str.sn].chn);
			$("#gps_lat").text(_str._ponew[1]);
			$("#gps_lon").text(_str._ponew[0]);
			$("#sound").text(_str.sound+"米");
			$("#head").text(_str.head+"度");
			$("#nowtime").text(_str.time);
			$("#sailing").text(checkSta(_str.sail));
			geocoder.getAddress(_str._ponew, function(status, result) {
				let _pos = "";
				if (status === 'complete'&&result.regeocode) {
					var address = result.regeocode.formattedAddress;
					_pos = address;
				}else{
					_pos = '获取位置失败';
				}
				$("#gps_pos").text(_pos);
			});
			return;
		}
	}
}
function checkSta(_sta){
	let _txt = "";
	switch(parseInt(_sta)){
		case 0:
			_txt = "发动机使用中";
			break;
		case 1:
			_txt = "锚泊";
			break;
		case 2:
			_txt = "未操纵";
			break;
		case 3:
			_txt = "有限适航性";
			break;
		case 4:
			_txt = "受船舶吃水限制";
			break;
		case 5:
			_txt = "系泊";
			break;
		case 6:
			_txt = "搁浅";
			break;
		case 7:
			_txt = "从事捕捞";
			break;
		case 8:
			_txt = "航行中";
			break;
	}
	return _txt
}    
function reportAjax(_obj){
	tokenAjax({url:"/consumption/consumption/getRueiGao",type:"GET"},{
		column: _obj._url,
		startTime: _obj._time + " 00:00:00",
		endTime: _obj._time + " 23:59:59",
		sn: _obj.sn
	},"port")
	.then(function(res){
		if(res.length){
			let _data = {};
			for(var i=0;i<res.length;i++){
				let _tim = res[i].time.substr(0,17).replace("T"," ") + "00"
				_data[_tim] = res[i].value;
			}
			_obj.callback(_data);
		}else{
			_obj.callback([]);
		}
	})
}
function setoption1(_data, _xais, _key,_range) {
	if(_range != undefined){
		for(var i=0;i<_data.length;i++){
			_data[i] = (parseFloat(_data[i]) * parseFloat(_range)).toFixed(2);
		}
	}
	option = {
		grid: {
			top: '18%',
			left: '0%',
			right: '0%',
			bottom: '2%',
			containLabel: true
		},
		xAxis: {
			type: 'category',
			data: _xais,
			axisLine: {
				lineStyle: {
					color: '#9ed2f9'
				}
			},
			axisLabel: {
				interval: 0,
			},
			axisTick: {
				show: false
			}
		},
		yAxis: {
			name: "(" + _key + ")",
			type: 'value',
			splitLine: {
				show: false
			},
			axisLine: {
				show: true,
				lineStyle: {
					color: '#9ed2f9'
				},
				color: "#fff"
			}
		},
		series: [{
			data: _data,
			type: 'line',
			symbol: 'none',
			markPoint: {
				data: [{
					name:"最大值",
					type: "max"
				}]
			}
		}],
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'cross',
				label: {
					backgroundColor: '#6a7985'
				}
			},
			formatter: function(v) {
				let _tim = getTime(new Date(new Date(nowTime+" 00:00:00").getTime() + ((v[0].dataIndex)*60*1000*10)));
				return _tim[0] + _tim[2] + '：' + v[0].data + _key;
			}
		}
	};

	return option;
}
function getWeather(_obj){
	tokenAjax({url:"/equipmentPhone/equipmentPhone/get_weather",type:"GET"},{
		sn: _obj.nowSn,
		date: _obj._time,
		lon: _obj.posi[0],
		lat: _obj.posi[1]
	},"port")
	.then(function(data){
		$("#weather1").text(data[0].windspeed=="-32767"?0:data[0].windspeed);
		$("#weather2").text(data[0].winddir=="-32767"?0:data[0].winddir);
		$("#weather3").text(data[0].waveheight=="-32767"?0:data[0].waveheight);
		$("#weather4").text(data[0].oceanspeed=="-32767"?0:data[0].oceanspeed);
		$("#weather5").text(data[0].oceandir=="-32767"?0:data[0].oceandir);
		$("#weather6").text(data[0].temperature=="-32767"?0:data[0].temperature);
		$("#weather7").text(data[0].pressure=="-32767"?0:data[0].pressure);
	})
}
function changeDays(_num,time){
	var _time = _num==0? time : time.replace(/-/g, '\/');
	var timestamp = Date.parse(new Date(_time));
	var newTimestamp = timestamp + _num * 24 * 60 * 60 * 1000;
	var date = new Date(newTimestamp);
	var yy = date.getFullYear();
	if (yy < 1900) yy = yy + 1900;
	var MM = date.getMonth() + 1;
	if (MM < 10) MM = '0' + MM;
	var DD = date.getDate();
	if (DD < 10) DD = '0' + DD;
	var HH = date.getHours();
	var ww = date.getDay();
	if(ww==0) ww="星期日";
	if(ww==1) ww="星期一";
	if(ww==2) ww="星期二";
	if(ww==3) ww="星期三";
	if(ww==4) ww="星期四";
	if(ww==5) ww="星期五";
	if(ww==6) ww="星期六";
	return [yy+'-'+MM+'-'+DD,yy+'年'+MM+'月'+DD +"日",ww,HH];
}