var _Tok = JSON.parse(localStorage.getItem("_yz_TT")).yzTok;
var nowId = null,Type=null;
var timeObj = {
	"plat_1":null,
	"term_1":null
};
var timeNum = {
	"plat_1":60,
	"term_1":60
};
// 请求手机号列表
function getPhone(_type,_cab){
	Type = _type;
	$.ajax({
		url: vipUrl +"/equipmentPhone/equipmentPhone/list?equipmentNum="+nowId,
		type: "GET",
		dataType: "JSON",
		async: false,       //同步请求
		data:{},
		headers:{
			"Authorization":"Bearer "+_Tok
		},
		error: function(XMLHttpRequest) {
			console.log(11111)
		},
		success:function (res) {
			if(res.code == 200&&res.rows.length){
				_cab(res.rows[0]);
			}else{
				_cab([]);
			}
		}
	})
	
}

// 添加联系人
$(document).on("click",".bind .icon-jia",function(){
	let _list = $("."+$(this).data("ty")+"li").children().length;
	let _sbl = $(this).siblings();
	let _na = $(this).data("ty")+"_"+(_list+1);
	if(_sbl.is(":hidden")){
		_sbl.css("display","inline-block")
	}
	let _strPh = `<div class="flex">
					<div style="width:70px">联系人${_list+1}：</div>
					<div>
						<input type="text" name="${_na}" placeholder="联系人${_list+1}"/>
						<div class="code_">
							<input type="text" placeholder="验证码"/>
							<button type="button" name="${_na}">发送验证码</button>
						</div>
					</div>
				</div>`;
	let _strPc = `<div class="flex">
					<div style="width:70px">联系人${_list+1}：</div>
					<div><input type="text" name="${_na}" placeholder="联系人${_list+1}"/></div>
					<div class="code_">
						<input type="text" placeholder="验证码"/>
						<button type="button" name="${_na}">发送验证码</button>
					</div>
				</div>`
	$("."+$(this).data("ty")+"li").append(Type == "main"?_strPc:_strPh);
	timeObj[_na] = null;
	timeNum[_na] = 60;
});

// 删除联系人
$(document).on("click",".bind .icon-jian",function(){
	let _list = $("."+$(this).data("ty")+"li").children().length;
	if(_list == 2){
		$(this).css("display","none");
	}
	let _fat = $("."+$(this).data("ty")+"li>div:last");
	_fat.remove();
});

function getInpVal(_arr){
	let _obj = [];
	$.each(_arr,function(index,e){
		let _inp = $(e).find("input");
		_obj.push([_inp[0].value,_inp[1].value])
	})
	return _obj;
}

// 发送验证码
$(document).on("click",".code_ button",function(){
	let _id = $(this).attr("name");
	if(timeObj[_id] == null){
		let _pho = $("input[name='"+_id+"']").val();
		if(_pho == ""){
			ShowLoading("请先填写手机号！",1);
			return;
		}
		if(!(/^1[3456789]\d{9}$/.test(_pho))){
			ShowLoading('手机号码有误，请重填',1);
			return;
		}
		$.ajax({
			url: vipUrl +"/equipmentPhone/equipmentPhone/sendCode",
			type: "GET",
			dataType: "JSON",
			async: false,       //同步请求
			data:{
				"phone":_pho
			},
			headers:{
				"Authorization":"Bearer "+_Tok
			},
			error: function(XMLHttpRequest) {
				console.log(11111)
			},
			success:function (res) {
				if(res.result=="ok"){
					timeObj[_id] = setInterval(()=>{
						if(timeNum[_id] < 0){
							clearInterval(timeObj[_id]);
							timeObj[_id] = null;
							timeNum[_id] = 60;
							$("button[name='"+_id+"']").text("发送验证码");
						}else{
							$("button[name='"+_id+"']").text(timeNum[_id] + "s重发");
							timeNum[_id] --;
						}
					},1000);
					ShowLoading("验证码发送成功！",1);
				}else{
					ShowLoading("验证码发送失败！",1);
				}
			}
		})
	}
})

// 提交绑定手机号
$("button[name='confirm']").on("click","",function(){
	setPhone("/equipmentPhone/add");
});

var _platli="",_termli="";
// 绑定手机号接口
function setPhone(_url,_Pid){
	_platli="",_termli="";
	let platObj = getInpVal($(".platli>div"));
	let termObj = getInpVal($(".termli>div"));
	let _last = 0,_len = platObj.length + termObj.length, _lastT = false;
	for(var i=0;i<platObj.length;i++){
		_last ++;
		if(platObj[i][0] != ""){
			if(!(/^1[3456789]\d{9}$/.test(platObj[i][0]))){
				ShowLoading('平台联系人'+(i+1)+'手机号码有误，请重填',1);
				return;
			}
			if(platObj[i][1] == ""){
				ShowLoading('平台联系人'+(i+1)+'验证码未填写',1);
				return;
			}
			checkCode({
				_ph: platObj[i][0],
				_cod: platObj[i][1],
				_sta: _lastT,
				_num: (i+1),
				_txt:"plat"
			});
		}
		
	}
	for(var j=0;j<termObj.length;j++){
		_last ++;
		if(termObj[j][0] != ""){
			if(!(/^1[3456789]\d{9}$/.test(termObj[j][0]))){
				ShowLoading('终端联系人'+(j+1)+'手机号码有误，请重填',1);
				return;
			}
			if(termObj[j][1] == ""){
				ShowLoading('终端联系人'+(j+1)+'验证码未填写',1);
				return;
			}
			
			checkCode({
				_ph: termObj[j][0],
				_cod: termObj[j][1],
				_sta: _lastT,
				_num: (j+1),
				_txt:"term"
			},_url,_Pid);
		}
	}
	if(_last == _len){
		_lastT = true;
	}
	bindConfrim(_url,_Pid);
}
function checkCode(_obj,_url,_Pid){
	$.ajax({
		url: vipUrl +"/equipmentPhone/equipmentPhone/isCode",
		type: "GET",
		dataType: "JSON",
		async: false,       //同步请求
		data:{
			"phone":_obj._ph,
			"qrCode":_obj._cod
		},
		headers:{
			"Authorization":"Bearer "+_Tok
		},
		error: function(XMLHttpRequest) {
			console.log(11111)
		},
		success:function (res) {
			if(res == 0){
				if(_obj._txt=="term"){
					_termli+= (_obj._ph+",");
				}else{
					_platli += (_obj._ph+",");
				}
			}else{
				ShowLoading((_obj._txt=="term"?"终端":"平台")+'联系人'+(_obj._num)+'手机验证码错误',1);
				return;
			}
		}
	})
}
function bindConfrim(_url,_Pid){
	let _switch = $("input.switch").is(":checked")?0:1;
	let _obj = {};
	if(_url.indexOf("/add") != -1){
		_obj = {
			"equipmentNum":nowId,
			"platformContact":_platli,
			"terminalContact":_termli,
			"isSmsNotification":_switch
		};
	}else{
		if(_termli == "" && _platli != ""){
			_obj = {
				"id":_Pid,
				"equipmentNum":nowId,
				"platformContact":nowPhone.platformContact +","+ _platli,
				"isSmsNotification":_switch
			};
		}else if(_platli == "" && _termli != ""){
			_obj = {
				"id":_Pid,
				"equipmentNum":nowId,
				"terminalContact":nowPhone.terminalContact +","+_termli,
				"isSmsNotification":_switch
			}
		}else if(_termli == "" && _platli == ""){
			_obj = {
				"id":_Pid,
				"equipmentNum":nowId,
				"isSmsNotification":_switch
			}
		}
	}
	allSetPhone(_url,_obj)
}
function allSetPhone(_url,_obj){
	$.ajax({
		url: vipUrl +"/equipmentPhone"+_url,
		type: _url.indexOf("/add") != -1?"POST":"PUT",
		dataType: "JSON",
		async: false,       //同步请求
		data:JSON.stringify(_obj),
		contentType: 'application/json; charset=UTF-8',
		headers:{
			"Authorization":"Bearer "+_Tok
		},
		error: function(XMLHttpRequest) {
			console.log(11111)
		},
		success:function (res) {
			for(var key in timeObj){
				clearInterval(timeObj[key]);
			}
			timeObj = {
				"plat_1":null,
				"term_1":null
			};
			timeNum = {
				"plat_1":60,
				"term_1":60
			};
			if(res.code==200){
				if(Type == "main"){
				}else{
					window.location.reload();
				}
				ShowLoading("绑定成功",1);
				$(".mask").remove();
			}
		}
	})
}