
var deList = [];
var dhYsList = [];
var shipSn = null;
var asideLi = [], allLsit = [];
var grid = 1;
var _Player = null;
var _playSn = null,_playTxt=null,_playNo = null;
var _quality = "height";
var playType = "monitor";
var timeId = null;
var firstPlay = false;
window.addEventListener('message',(data)=>{
	if(data.data == "stop"){
		if(_Player != null){
			_Player.pause();
			$(".pauseStop").removeClass("icon-24gf-pause2").addClass("icon-24gf-play");
		}
	}else if(data.data == "sfgh"){
		
	}else{
		closeNewLive()
		InitGetAjax();
	}
})
$(document).ready(function(){
	deList = JSON.parse(localStorage.getItem("deList"));
	InitGetAjax();
	InitGrid();
	clearInterval(timeId);
	timeId = setInterval(()=>{InitGetAjax()},60*1000);
})
// 初始化设备列表
function InitGetAjax(){
	shipSn = localStorage.getItem("shipSn");
	let _lis = deList[shipSn];
	if(_lis != "" && _lis != undefined && _lis != null){
		if(JSON.stringify(_lis).indexOf("K38925552") != -1){
			$("#changLive").css("display","block");
			if(!dhYsList.length){
				getList();
			}
		}else{
			$("#changLive").css("display","none");
		}
		infoAjax(_lis.split(",")[0],function asd(res){
			if(res.code == 200){
				let _sta = res.data.status;
				SBAjax(_lis.split(","),function asd(res){
					allLsit = res;
					setHtml(_sta);
				},0)
			}
		})
	}
}
function setHtml(sta){
	asideLi = [];
	let _str = "";
	if(allLsit.length){
		allLsit.forEach((item,ind)=>{
			if(item.channelName.indexOf("@") == -1){
				_str+=`<li class="flex align-center ${item.channelNo == _playNo?'act':''}" 
						data-yz="${item.deviceSerial}_${item.status}_${item.channelNo}">
					<div class="iconfont ${item.status==1&&sta==1?'icon-shexiangtou':'icon-shexiangtou_guanbi'} margin-right-xs text-blue" style="font-size: 1.4rem;"></div>
					<div class="text-sm ${item.status==1&&sta==1?'text-white':'text-rgb'}">${item.channelName}</div>
				</li>`;
				asideLi.push(item);
			}
		})
	}else{
		_str=`<li class="text-center">暂无设备列表</li>`
	}
	$("#html_view").html(_str);
}
// 九宫格布局事件
function InitGrid(){
	let _div = "";
	for(var i=0;i<grid*grid;i++){
		_div += `<div class="videobox" id="videobox_${i}">
					<div class="noBg"></div>
				</div>`;
	}
	$("#video_view").html(_div);
	$("#video_view .videobox").css({"width":(100/grid)+"%","height":(100/grid)+"%"});
}
// 左侧设备点击事件
$(".yz_aside").on("click","li",function(){
	let _id = $(this).data("yz").split("_");
	if(_id[1]==1){
		$(".yz_aside li").removeClass("act");
		$(this).addClass("act");
		_playSn = _id[0];
		_playNo = parseInt(_id[2]);
		_playTxt = $(this).text();
		if(playType == "live"){
			getUrl();
		}else{
			playEzopen();
			if(!firstPlay){
				setTimeout(()=>{
					_Player.stop();
					playEzopen();
					firstPlay = true;
				},2000)
			}
		}
	}else{
		alert("该设备离线中！");
	}
})
// 请求直播路径
function getUrl(){
	// getStart(checkId(),0,function acb(_url){
	// 	let _str = `<video id="my-video-0" style="width:100%;height:100%;" autoplay></video>
	// 				<div class="errTxt">
	// 					<img src="../imgs/load.png" class="load_img" alt="">
	// 				</div>
	// 				<div class="vidName">
	// 					<div>${_playTxt}</div>
	// 					<div class="iconfont icon-cha" data-id="0"></div>
	// 				</div>
	// 				<div class="stopBar">
	// 					<div class="iconfont icon-24gf-pause2 pauseStop"></div>
	// 					<div class="iconfont icon-fullScreen" data-id="0"></div>
	// 				</div>`
	// 	$("#videobox_0").html(_str);
	// 	startPlay(_url);
	// });
}
function checkId(){
	let _arr = asideLi.filter(item => item.deviceSerial == _playSn&&item.channelNo == _playNo)[0];
	let _id = _arr.channelName.split("_")[1];
	let _xbc = dhYsList.filter(item => item.deviceSerial == _id)[0];
	return _xbc;
}
// 直播组件创建并播放
function startPlay(_url){
	if (flvjs.isSupported()) {
		const videoElement = document.getElementById("my-video-0");
		const flvPlayer = flvjs.createPlayer({
			type: "flv",
			isLive: true,
			hasAudio: false,
			url: _url,
			enableStashBuffer: !false
		}, {  
			enableStashBuffer: false,
			stashInitialSize: 128
		});
		flvPlayer.attachMediaElement(videoElement)
		flvPlayer.load();
		flvPlayer.play();
		_Player = flvPlayer;
		_Player.on(flvjs.Events.STATISTICS_INFO, (res) => {
			if(res.speed!=0&&!$("#videobox_0 .load_img").is(":hidden")){
				$("#videobox_0 .load_img").css("display","none");
				$("#videobox_0 video").css("display","block");
			}else if(res.speed==0&&$("#videobox_0 .load_img").is(":hidden")){
				$("#videobox_0 .load_img").css("display","block");
				$("#videobox_0 video").css("display","none");
			}
		})
	} else {
		console.log("flvjs不支持")
	}
}
function playEzopen(wid,hie){
	if(_Player != null){
		_Player.stop();
	}
	if(_playSn == null){
		return;
	}
	let _wid = $("#videobox_0").width();
	let _hie = $("#videobox_0").height();
	let _str = `<div id="playWind_0"></div>
				<div class="vidName">
					<div>${_playTxt}</div>
					<div class="iconfont icon-cha" data-id="0"></div>
				</div>
				<div class="stopBar">
					<div class="iconfont icon-shengyin-kai pauseVoice"></div>
					<div class="iconfont icon-fullScreen" data-id="0"></div>
				</div>`
	$("#videobox_0").html(_str);
	let _src = _quality == "height"?"ezopen://open.ys7.com/"+_playSn+"/"+_playNo+".hd.live":"ezopen://open.ys7.com/"+_playSn+"/"+_playNo+".live";
	_Player = new EZUIKit.EZUIPlayer({
		id: 'playWind_0',
		autoplay: true,
		url: _src,
		template: 'theme',
		accessToken: accTok,
		width:_wid,
		height:_hie,
		audio:1,
		footer:["hd","talk"],
		decoderPath: staticUrl,
		handleError: handleError,
		handleSuccess: handleSuccess,
	});
}

// 单个直播关闭
$(document).on("click",".vidName .icon-cha",function(){
	let _key = $(this).data("id");
	closeNewLive()
})
// 暂停、播放
$(document).on("click",".stopBar .pauseStop",function(){
	let _key = $(this).data("id");
	if($(this).hasClass("icon-24gf-play")){
		_Player.play();
		$(this).removeClass("icon-24gf-play").addClass("icon-24gf-pause2");
	}else{
		_Player.pause();
		$(this).removeClass("icon-24gf-pause2").addClass("icon-24gf-play");
	}
})
// 静音、不静音
$(document).on("click",".stopBar .pauseVoice",function(){
	if($(this).hasClass("icon-shengyin-kai")){
		_Player.closeSound();
		$(this).removeClass("icon-shengyin-kai").addClass("icon-shengyin-guan");
	}else{
		_Player.openSound();
		$(this).removeClass("icon-shengyin-guan").addClass("icon-shengyin-kai");
	}
})

// 单个直播全屏
$(document).on("click",".stopBar .icon-fullScreen",function(){
	let _key = $(this).data("id");
	if(playType=="live"){
		let _elem = document.getElementById("videobox_0");
		requesetFullScreen(_elem);
	}else{
		_Player.fullScreen();
	}
})
// 视频方式、清晰度、九宫格选项显示
$(".toolBar").on("click",".tool",function(){
	$(".toolBar .dropdown").hide();
	let _dom = $(this).next();
	if(_dom.is(":hidden")){
		_dom.show();
	}else{
		_dom.hide();
	}
})
// 清晰度、九宫格
$(".toolBar .dropdown").on("click","li",function(){
	let _key = $(this).attr("data");
	if(_key=="height"||_key=="smooth"){
		_quality = _key;
		if(playType=="live"){
			getUrl();
		}else{
			playEzopen();
		}
	}else if(_key=="live"||_key=="monitor"){
		playType = _key;
		if(playType=="live"){
			if(_Player != null){
				_Player.stop();
				_Player = null;
			}
			getUrl();
		}else{
			if(_Player != null){
				_Player.pause();
				_Player.unload();
				_Player.detachMediaElement();
				_Player.destroy();
				_Player = null;
			}
			playEzopen();
		}
	}else{
		grid = parseInt(_key);
		let _len = $("#video_view").children().length;
		if(_len==parseInt(_key)*parseInt(_key)){
			
		}else if(_len>parseInt(_key)*parseInt(_key)){
			for(var i=grid*grid;i<_len;i++){
				$(".videobox").remove("#videobox_"+i);
			}
			$("#video_view .videobox").css({"width":(100/grid)+"%","height":(100/grid)+"%"});
		}else if(_len<parseInt(_key)*parseInt(_key)){
			let _div = "";
			for(var i=_len;i<grid*grid;i++){
				_div += `<div class="videobox" id="videobox_${i}">
							<div class="noBg">
							</div>
						</div>`;
			}
			$("#video_view").append(_div);
			$("#video_view .videobox").css({"width":(100/grid)+"%","height":(100/grid)+"%"});
		}
		let _w = $("#videobox_0").width();
		let _h = $("#videobox_0").height();
		if(playType=="monitor"){_Player.reSize(_w,_h);}
	}
	$(this).addClass("act").siblings().removeClass("act");
	$(this).parent().hide();
})
// 所有直播全屏
$(".toolBar .icon-fullScreen").on("click","",function(){
	let _elem = document.getElementById("video_view");
	requesetFullScreen(_elem);
})
// 关闭直播所有
$(".toolBar .closeAll").on("click","",function(){
	$(".toolBar .dropdown").hide();
	closeNewLive()
})
function closeNewLive(){
	if(JSON.stringify(_lis).indexOf("K38925552") != -1){
		getStart(checkId(),1,function acb(){})
	}else{
		closeLive();
	}
}
// 关闭直播方法
function closeLive(){
	if(_Player != null){
		if(playType=="live"){
			_Player.pause();
			_Player.unload();
			_Player.detachMediaElement();
			_Player.destroy();
		}else{
			_Player.stop();
		}
		_Player = null;
		_playSn = null;
		_playTxt = null;
		_playNo = null;
		InitGrid();
		$(".yz_aside li").removeClass("act");
	}
}
var proxyUrl ="https://www.enstation.com:8083/ocean-api";
function getLogin(){
	$.ajax({
		url: proxyUrl+"/ocean-api/login",
		type: "POST",
		dataType: "json",
		async: false, 
		data: {
			username:"yizhan",
			password:"yizhan123",
			rememberMe: false
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
		},
		//更新日志列表
		success: function(dart) {
			localStorage.setItem("DH-Token",dart.token);
			getLogin();
		}
	});
}
function getList(){
	$.ajax({
		url: proxyUrl+"/ocean-api/forwardingManage/pageForwarding/taskResourceList",
		type: "GET",
		dataType: "json",
		async: false, 
		data: {
			pageNum:1,
			pageSize:9999,
			taskId:242
		},
		headers:{
			Authorization: "Bearer "+localStorage.getItem("DH-Token")
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
		},
		//更新日志列表
		success: function(res) {
			console.log(res)
			if(res.code == 0){
				dhYsList = res.rows;
			}else{
				getLogin();
			}
		}
	});
}
function getStart(_obj,type,_cb){
	$.ajax({
		url: proxyUrl+"/ocean-api/forwardingManage/changeTaskStatusList",
		type: "POST",
		dataType: "json",
		contentType: 'application/json',
		async: false, 
		data: JSON.stringify({
			taskIds:[_obj.id],
			isStart:type
		}),
		headers:{
			Authorization: "Bearer "+localStorage.getItem("DH-Token")
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
		},
		//更新日志列表
		success: function(res) {
			if(type == 0){
				let _str = _obj.rtmpOutputAddress.split("/rtp")[1];
				_cb("ws://101.69.254.234:580/rtp"+_str+".live.flv")
			}else{
				_cb("");
			}
			
			// startPlay("wss://gbs.liveqing.com:10010/sms/34020000002020000001/ws-flv/hls/34020000001110000234_34020000001320000234.flv?token=_O4-zo47PhV7hBZwDTIY0UvxzfVsWf4znYV2clmQTGL.oxNjY3NDc0MDcwLCJwIjoiOThlYzVmYmVmNiIsInQiOjE2Njc0NzM4MjAsInUiOiI5OGVjNWZiZWY2In0eyJlIj.GciOiJIUzI1NiIsInR5cCI6IkpXVCJ9eyJhb")
			// startPlay("ws://101.69.254.234:580/rtp"+_str+".live.flv");
			// startPlay("ws://101.69.254.234:580/rtp/boxplay_30a3d39f67f6bbcb.live.flv")
		}
	});
}